﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="GestionDatosPropios.aspx.cs" Inherits="REFOR.Web.Gestion.GestionDatosPropios"
    Title="GESREF. Gestión de datos propios" Theme="ReforThemes" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<%@ OutputCache Duration="1" VaryByParam="none" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td class="pf_labelMessage" style="width: 1099px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
            <tr>
                <td class="pf_title">Gestión de datos propios
                </td>
            </tr>
        </table>
        <!-- Gridview Area -->
        <table id="GridViewTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView1" runat="server" AllowPaging="True"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataSourceID="odsGeneral" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged" OnRowDataBound="GridView1_RowDataBound"
                        OnPreRender="GridView1_PreRender"
                        CellPadding="5">
                        <Columns>
                            <asp:CommandField ShowSelectButton="True" HeaderText="Acci&#243;n" ButtonType="Image"
                                SelectImageUrl="~/img/EDIT.BMP" SelectText="Cambiar">
                                <ItemStyle Width="50px" Wrap="False" />
                            </asp:CommandField>
                            <asp:BoundField DataField="NIF" HeaderText="NIF">
                                <ControlStyle Width="90px" />
                                <ItemStyle HorizontalAlign="Center" Width="100px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Responsable" HeaderText="Responsable">
                                <ControlStyle Width="150px" />
                                <ItemStyle HorizontalAlign="Center" Width="160px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Denominacion" HeaderText="Denominacion">
                                <ControlStyle Width="150px" />
                                <ItemStyle HorizontalAlign="Center" Width="160px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="MesesCambioContraseña" HeaderText="Meses">
                                <ControlStyle Width="70px" />
                                <ItemStyle HorizontalAlign="Center" Width="80px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="IVA" HeaderText=" % Iva">
                                <ControlStyle Width="70px" />
                                <ItemStyle HorizontalAlign="Center" Width="80px" />
                            </asp:BoundField>

                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen datos propios para mostrar
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <table id="BodyTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:FormView ID="FormView1" runat="server" DataKeyNames="ID" DataSourceID="odsDetalle"
                        OnItemCommand="FormView1_ItemCommand"
                        OnItemUpdated="FormView1_ItemUpdated"
                        OnItemUpdating="FormView1_ItemUpdating" OnDataBound="FormView1_DataBound">
                        <EditItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Modificación" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblNIF" runat="server" Text="NIF empresa: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:TextBox ID="NIFTextBox" runat="server" MaxLength="9" Width="90px"
                                                    ToolTip="Identificativo NIF de la empresa" Text='<%# Bind("NIF") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_NIFTextBox" runat="server" ControlToValidate="NIFTextBox"
                                                    Display="Dynamic" ErrorMessage="El NIF de la empresa es obligatorio">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_NIFTextBox" runat="server"
                                                    ControlToValidate="NIFTextBox" Display="Dynamic" ErrorMessage="- El CIF/NIF español debe estar compuesto de 1 número o letra, 7 digitos y otro número o letra"
                                                    ValidationExpression="[a-zA-Z0-9]\d{7}[a-zA-Z0-9]">*</asp:RegularExpressionValidator>
                                                <asp:CustomValidator ID="CustomValidator_NIFTextBox" runat="server" ControlToValidate="NIFTextBox"
                                                    Display="Dynamic" ErrorMessage="NIF incorrecto" OnServerValidate="CustomValidator_NIFTextBox_ServerValidate">*</asp:CustomValidator>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblResponsable" runat="server" Text="Responsable: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:TextBox ID="ResponsableTextBox" runat="server" MaxLength="200" Width="600px"
                                                    ToolTip="Responsable de la empresa" Text='<%# Bind("Responsable") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_ResponsableTextBox" runat="server" Display="Dynamic" ErrorMessage="La descripción del responsable de la empresa es obligatoria"
                                                    ControlToValidate="ResponsableTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ResponsableTextBox"
                                                    runat="server" ControlToValidate="ResponsableTextBox" Display="Dynamic" ErrorMessage="La descripción del responsable de la empresa debe tener entre 1 y 200 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDenominacion" runat="server" Text="Denominacion: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:TextBox ID="DenominacionTextBox" runat="server" MaxLength="200" Width="600px"
                                                    ToolTip="Denominación de la empresa" Text='<%# Bind("Denominacion") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DenominacionTextBox" runat="server" Display="Dynamic" ErrorMessage="La descripción de la empresa es obligatoria"
                                                    ControlToValidate="DenominacionTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DenominacionTextBox"
                                                    runat="server" ControlToValidate="DenominacionTextBox" Display="Dynamic" ErrorMessage="La denominación de la empresa debe tener entre 1 y 200 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDomicilio" runat="server" Text="Domicilio: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:TextBox ID="DomicilioTextBox" runat="server" MaxLength="200" Width="600px"
                                                    ToolTip="Domicilio de la empresa" Text='<%# Bind("Domicilio") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DomicilioTextBox" runat="server" Display="Dynamic" ErrorMessage="El domicilio de la empresa es obligatorio"
                                                    ControlToValidate="DomicilioTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DomicilioTextBox"
                                                    runat="server" ControlToValidate="DomicilioTextBox" Display="Dynamic" ErrorMessage="El domicilio de la empresa debe tener entre 1 y 200 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblMunicipio" runat="server" Text="Municipio: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:DropDownList ID="ddlCodigo_INE" runat="server" Width="200px" ToolTip="Municipio de la empresa"
                                                    DataSourceID="odsMunicipios" DataTextField="Nombre" DataValueField="Codigo_INE"
                                                    SelectedValue='<%# Bind("Codigo_INE") %>' />
                                                <asp:ObjectDataSource ID="odsMunicipios" runat="server"
                                                    SelectMethod="GetMunicipios" TypeName="REFOR.DL.MunicipioRepository" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblCodigoPostal" runat="server" Text="Codigo_postal: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:TextBox ID="Codigo_postalTextBox" runat="server" MaxLength="5" Width="50px"
                                                    ToolTip="Código postal de la empresa" Text='<%# Bind("Codigo_postal") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_Codigo_postalTextBox" runat="server" Display="Dynamic" ErrorMessage="El código postal de la empresa es obligatorio"
                                                    ControlToValidate="Codigo_postalTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_Codigo_postalTextBox"
                                                    runat="server" ControlToValidate="Codigo_postalTextBox" Display="Dynamic" ErrorMessage="El código postal de la empresa debe tener 5 dígitos"
                                                    ValidationExpression="^([0-9]{5})$">*</asp:RegularExpressionValidator>
                                                <asp:CustomValidator ID="CustomValidator_Codigo_postalTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La provincia del código postal no coincide con la del municipio" ControlToValidate="Codigo_postalTextBox" OnServerValidate="CustomValidator_Codigo_postalTextBox_ServerValidate">*</asp:CustomValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblTelefonoUno" runat="server" Text="Teléfono uno: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:TextBox ID="TelefonoUnoTextBox" runat="server" MaxLength="9" Width="90px"
                                                    ToolTip="Número de telefono" Text='<%# Bind("TelefonoUno") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_TelefonoUnoTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="El número de telefono es obligatorio"
                                                    ControlToValidate="TelefonoUnoTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_TelefonoUnoTextBox"
                                                    runat="server" ControlToValidate="TelefonoUnoTextBox" Display="Dynamic" ErrorMessage="El número de telefono debe estar compuesto de 9 dígitos"
                                                    ValidationExpression="^([0-9]{9})$">*</asp:RegularExpressionValidator>
                                                <asp:TextBox ID="AliasTelefonoUnoTextBox" runat="server" MaxLength="50" Width="450px"
                                                    ToolTip="Descripción del telefono" Text='<%# Bind("AliasTelefonoUno") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_AliasTelefonoUnoTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La descripción del telefono es obligatoria"
                                                    ControlToValidate="AliasTelefonoUnoTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_AliasTelefonoUnoTextBox"
                                                    runat="server" ControlToValidate="AliasTelefonoUnoTextBox" Display="Dynamic" ErrorMessage="La descripción del telefono tener entre 1 y 50 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblTelefonoDos" runat="server" Text="Teléfono dos: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:TextBox ID="TelefonoDosTextBox" runat="server" MaxLength="9" Width="90px"
                                                    ToolTip="Número de telefono" Text='<%# Bind("TelefonoDos") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_TelefonoDosTextBox"
                                                    runat="server" ControlToValidate="TelefonoDosTextBox" Display="Dynamic" ErrorMessage="El número de telefono debe estar compuesto de 9 dígitos"
                                                    ValidationExpression="^([0-9]{9})$">*</asp:RegularExpressionValidator>
                                                <asp:TextBox ID="AliasTelefonoDosTextBox" runat="server" MaxLength="50" Width="450px"
                                                    ToolTip="Descripción del telefono" Text='<%# Bind("AliasTelefonoDos") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_AliasTelefonoDosTextBox"
                                                    runat="server" ControlToValidate="AliasTelefonoDosTextBox" Display="Dynamic" ErrorMessage="La descripción del telefono tener entre 1 y 50 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblTelefonoTres" runat="server" Text="Teléfono tres: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:TextBox ID="TelefonoTresTextBox" runat="server" MaxLength="9" Width="90px"
                                                    ToolTip="Número de telefono" Text='<%# Bind("TelefonoTres") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_TelefonoTresTextBox"
                                                    runat="server" ControlToValidate="TelefonoTresTextBox" Display="Dynamic" ErrorMessage="El número de telefono debe estar compuesto de 9 dígitos"
                                                    ValidationExpression="^([0-9]{9})$">*</asp:RegularExpressionValidator>
                                                <asp:TextBox ID="AliasTelefonoTresTextBox" runat="server" MaxLength="50" Width="450px"
                                                    ToolTip="Descripción del telefono" Text='<%# Bind("AliasTelefonoTres") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_AliasTelefonoTresTextBox"
                                                    runat="server" ControlToValidate="AliasTelefonoTresTextBox" Display="Dynamic" ErrorMessage="La descripción del telefono tener entre 1 y 50 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblCorreoElectronico" runat="server" Text="Correo electrónico: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:TextBox ID="CorreoElectronicoTextBox" runat="server" MaxLength="100" Width="600px"
                                                    ToolTip="Dirección de correo electrónico" Text='<%# Bind("CorreoElectronico") %>' TextMode="Email"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_CorreoElectronicoTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La dirección de correo electrónico es obligatoria"
                                                    ControlToValidate="CorreoElectronicoTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_CorreoElectronicoTextBox"
                                                    runat="server" ControlToValidate="CorreoElectronicoTextBox" Display="Dynamic" ErrorMessage="La dirección de correo electrónico no tiene el formato correcto"
                                                    ValidationExpression="^[^<>\s\@]+(\@[^<>\s\@]+(\.[^<>\s\@]+)+)$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblWeb" runat="server" Text="Página web: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:TextBox ID="WebTextBox" runat="server" MaxLength="100" Width="600px" TextMode="Url"
                                                    ToolTip="Página web de la empresa" Text='<%# Bind("Web") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_WebTextBox"
                                                    runat="server" ControlToValidate="WebTextBox" Display="Dynamic" ErrorMessage="La dirección de la página web no tiene el formato correcto http(s)://(texto)dominio.xxx(/texto/)"
                                                    ValidationExpression="^(https?:\/\/)?([\da-z\.-]+)\.([a-z\.]{2,6})([\/\w \?=.-]*)*\/?$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDomicilioEntidadBancaria" runat="server" Text="Domicilio banco: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:TextBox ID="DomicilioEntidadBancariaTextBox" runat="server" MaxLength="200" Width="600px"
                                                    ToolTip="Domicilio del banco" Text='<%# Bind("DomicilioEntidadBancaria") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DomicilioEntidadBancariaTextBox"
                                                    runat="server" ControlToValidate="DomicilioEntidadBancariaTextBox" Display="Dynamic" ErrorMessage="El domicilio del banco debe tener entre 1 y 200 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblIBAN" runat="server" Text="IBAN cuenta empresa: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 709px">
                                                <asp:TextBox ID="IBANTextBox" runat="server" MaxLength="24" Width="240px"
                                                    ToolTip="IBAN de la cuenta de la empresa" Text='<%# Bind("IBAN") %>'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_IBANTextBox"
                                                    runat="server" ControlToValidate="IBANTextBox" Display="Dynamic" ErrorMessage="El IBAN debe estar formado por las letras ES seguidos de 22 dígitos"
                                                    ValidationExpression="^(ES)([0-9]{22})$">*</asp:RegularExpressionValidator>
                                                <asp:CustomValidator ID="CustomValidator_IBANTextBox" runat="server" ControlToValidate="IBANTextBox"
                                                    Display="Dynamic" ErrorMessage="IBAN incorrecto" OnServerValidate="CustomValidator_IBANTextBox_ServerValidate">*</asp:CustomValidator>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblMesesCambioContraseña" runat="server" Style="margin-right: 10px;" Text="Periodicidad contraseña: "></asp:Label>
                                            </td>
                                            <td class="pf_input2" style="width: 709px">
                                                <asp:DropDownList ID="ddlMesesCambioContraseña" runat="server" Width="100 px" ToolTip="Meses entre cambio de contraseña"
                                                    AppendDataBoundItems="True"
                                                    SelectedValue='<%# Bind("MesesCambioContraseña") %>'>
                                                    <asp:ListItem Value="1">Un mes</asp:ListItem>
                                                    <asp:ListItem Value="3">Tres meses</asp:ListItem>
                                                    <asp:ListItem Value="6">Seis meses</asp:ListItem>
                                                    <asp:ListItem Value="12">Un año</asp:ListItem>
                                                </asp:DropDownList>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblIVA" runat="server" Text="Tipo Iva: "></asp:Label>
                                            </td>
                                            <td class="pf_input2" style="width: 709px">
                                                <asp:TextBox ID="IVATextBox" runat="server" Text='<%# Bind("IVA","{0:F0}") %>' Width="30px"
                                                    MaxLength="2"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_IVATextBox" runat="server"
                                                    Display="Dynamic" ControlToValidate="IVATextBox" ErrorMessage="El tipo de Iva no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_IVATextBox" runat="server" ErrorMessage="El importe no es un número correcto" ControlToValidate="IVATextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Integer">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator1_IVATextBox" runat="server" ErrorMessage="El tipo de Iva a de ser positivo" ControlToValidate="IVATextBox" Display="Dynamic" Operator="GreaterThan" Type="Integer" ValueToCompare="0">*</asp:CompareValidator>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                                            Text="Grabar modif." CssClass="button3"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </EditItemTemplate>
                        <ItemTemplate>
                        </ItemTemplate>
                    </asp:FormView>
                    <%--</ContentTemplate>
                </asp:UpdatePanel>--%>
                </td>
            </tr>
        </table>
        <!-- Object DataSource area-->
        <asp:ObjectDataSource ID="odsGeneral" runat="server"
            SelectMethod="ObtenerUnico" TypeName="REFOR.DL.DatoPropioRepository"></asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsDetalle" runat="server" SelectMethod="ObtenerUnico"
            TypeName="REFOR.DL.DatoPropioRepository" OnUpdated="odsDetalle_Updated" UpdateMethod="Actualizar">
            <UpdateParameters>
                <asp:Parameter Name="NIF" Type="String" />
                <asp:Parameter Name="Responsable" Type="String" />
                <asp:Parameter Name="Denominacion" Type="String" />
                <asp:Parameter Name="Domicilio" Type="String" />
                <asp:Parameter Name="Codigo_INE" Type="String" />
                <asp:Parameter Name="Codigo_postal" Type="String" />
                <asp:Parameter Name="AliasTelefonoUno" Type="String" />
                <asp:Parameter Name="TelefonoUno" Type="String" />
                <asp:Parameter Name="AliasTelefonoDos" Type="String" />
                <asp:Parameter Name="TelefonoDos" Type="String" />
                <asp:Parameter Name="AliasTelefonoTres" Type="String" />
                <asp:Parameter Name="TelefonoTres" Type="String" />
                <asp:Parameter Name="CorreoElectronico" Type="String" />
                <asp:Parameter Name="Web" Type="String" />
                <asp:Parameter Name="DomicilioEntidadBancaria" Type="String" />
                <asp:Parameter Name="IBAN" Type="String" />
                <asp:Parameter Name="MesesCambioContraseña" Type="Int32" />
                <asp:Parameter Name="IVA" Type="Int32" />
            </UpdateParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
