﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="GestionFacturas.aspx.cs" Inherits="REFOR.Web.Gestion.GestionFacturas"
    Title="GESREF. Gestión de facturas" Theme="ReforThemes" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<%@ OutputCache Duration="1" VaryByParam="none" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td class="pf_labelMessage" style="width: 1099px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
            <tr>
                <td class="pf_title">Gestión de facturas
                </td>
            </tr>
        </table>
        <!-- START SEARCH: Search area -->
        <table id="SearchTable" class="pf_field" runat="server">
            <%--style="margin-top: 10px; margin-bottom: 10px"--%>
            <tr>
                <td class="pf_label">
                    <asp:Label ID="lblFilter" runat="server" Text="Descripción: "></asp:Label>
                </td>
                <td class="pf_input2">
                    <asp:TextBox ID="txtFilter" runat="server" ToolTip="Filtro a aplicar en la rejilla"
                        Width="220px" MaxLength="30"></asp:TextBox>
                </td>
                <td class="pf_label" style="text-align: center; width: 70px">
                    <asp:Button ID="btnFilter" runat="server" CssClass="button1" Text="Filtrar" ToolTip="Aplicar filtro"
                        OnClick="btnFilter_Click" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 150px">
                    <asp:Button ID="btnAñadirRegistro" runat="server" CssClass="button3" OnClick="btnAñadirRegistro_Click"
                        Text="Añadir factura" ToolTip="Añadir un nuevo registro de factura" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 300px">
                    <asp:Label ID="lblOrdenarPor" runat="server" Text="Ordernar por:  "></asp:Label>
                    <asp:DropDownList ID="ddlOrdenar" runat="server" AutoPostBack="True" OnSelectedIndexChanged="btnFilter_Click">
                        <asp:ListItem Value="facturaID">ID</asp:ListItem>
                        <asp:ListItem Value="fechaEmision">Fecha emisión</asp:ListItem>
                        <asp:ListItem Value="cliente">Cliente</asp:ListItem>
                        <asp:ListItem Value="emitida">Emitida</asp:ListItem>
                        <asp:ListItem Selected="True" Value="descripcion">Descripción</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <!-- Gridview Area -->
        <table id="GridViewTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView1" runat="server" AllowPaging="True"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataSourceID="odsGeneral" DataKeyNames="FacturaID" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged" OnRowDataBound="GridView1_RowDataBound"
                        OnPreRender="GridView1_PreRender" OnRowDeleted="GridView1_RowDeleted" OnRowDeleting="GridView1_RowDeleting"
                        CellPadding="5">
                        <Columns>
                            <asp:CommandField ShowDeleteButton="True" ShowSelectButton="True" HeaderText="Acci&#243;n"
                                ButtonType="Image" DeleteImageUrl="~/img/zap.bmp" DeleteText="Borrar" SelectImageUrl="~/img/EDIT.BMP"
                                SelectText="Cambiar">
                                <ItemStyle Width="50px" Wrap="False" />
                            </asp:CommandField>
                            <asp:BoundField DataField="FacturaID" HeaderText="ID" ReadOnly="True" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="FechaEmision" HeaderText="Emisión" DataFormatString="{0:dd/MM/yyyy}">
                                <ControlStyle Width="60px" />
                                <ItemStyle HorizontalAlign="Center" Width="70px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="AñoFiscal" HeaderText="Año" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Numero" HeaderText="N.Factura" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Cliente.Denominacion" HeaderText="Cliente">
                                <ControlStyle Width="150px" />
                                <ItemStyle HorizontalAlign="Left" Width="160px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Descripcion" HeaderText="Descripción">
                                <ControlStyle Width="400px" />
                                <ItemStyle HorizontalAlign="Left" Width="410px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Emitida" HeaderText="Emitida">
                                <ControlStyle Width="40px" />
                                <ItemStyle HorizontalAlign="Center" Width="50px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ImporteTotal" HeaderText="Total" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ImportePagado" HeaderText="Pagado" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen facturas para mostrar con el filtro actual
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <table id="BodyTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:FormView ID="FormView1" runat="server" DataKeyNames="FacturaID" DataSourceID="odsDetalle"
                        OnItemCommand="FormView1_ItemCommand" OnItemInserted="FormView1_ItemInserted"
                        OnItemUpdated="FormView1_ItemUpdated" OnItemInserting="FormView1_ItemInserting"
                        OnItemUpdating="FormView1_ItemUpdating" OnDataBound="FormView1_DataBound">
                        <EditItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Modificación" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblFactura" runat="server" Text="ID: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:Label ID="lblFacturaID" runat="server" Text='<%# Eval("FacturaID") %>' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblPresupuesto" runat="server" Text="Presupuesto: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:Label ID="lblPresupuestoID" runat="server" Text='<%# Eval("PresupuestoID") %>' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblCliente" runat="server" Text="Cliente: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlClienteID" runat="server" Width="300px" ToolTip="Cliente del presupuesto"
                                                    DataSourceID="odsClientes" DataTextField="Denominacion" DataValueField="ClienteID"
                                                    SelectedValue='<%# Bind("ClienteID") %>' AppendDataBoundItems="true">
                                                    <asp:ListItem Value="">Seleccione cliente</asp:ListItem>
                                                </asp:DropDownList>
                                                <asp:ObjectDataSource ID="odsClientes" runat="server"
                                                    SelectMethod="GetClientes" TypeName="REFOR.DL.ClienteRepository" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_ddlClienteID" runat="server" Display="Dynamic"
                                                    ControlToValidate="ddlClienteID" ErrorMessage="El cliente del presupuesto no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CustomValidator ID="CustomValidator_ddlClienteID" runat="server" ControlToValidate="ddlClienteID"
                                                    Display="Dynamic" ErrorMessage="Error" OnServerValidate="CustomValidator_ddlClienteID_ServerValidate">*</asp:CustomValidator>
                                            </td>
                                        </tr>
                                        <tr id="trVerificacion" runat="server" visible="false">
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblVerificacion" runat="server" Text="Verificación: " ForeColor="Red"></asp:Label>
                                            </td>
                                            <td class="pf_labelinput2" style="width: 730px">
                                                <asp:CheckBox ID="VerificacionCheckBox" runat="server" Checked="false" Text="  Verifique que desea utilizar un cliente que no se encuentra activo" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblFechaEmision" runat="server" Text="Emisión: "></asp:Label>
                                            </td>
                                            <td class="pf_input2">
                                                <asp:TextBox ID="FechaEmisionTextBox" runat="server" Width="70px" Text='<%# Bind("FechaEmision","{0:dd/MM/yyyy}") %>'
                                                    ToolTip="Fecha de emisión de la factura"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_FechaEmisionTextBox" runat="server"
                                                    ControlToValidate="FechaEmisionTextBox" Display="Dynamic" ErrorMessage="La fecha de emisión no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_FechaEmisionTextBox" runat="server" ControlToValidate="FechaEmisionTextBox"
                                                    Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                                                    Operator="DataTypeCheck">*</asp:CompareValidator>
                                                <%-- <cc1:MaskedEditExtender ID="MaskedEditExtendertxt_FechaEmisionTextBox" runat="server"
                                                    TargetControlID="FechaEmisionTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                                                <asp:ImageButton ID="ImageButton_FechaEmisionTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                                                    Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                                                <cc1:CalendarExtender ID="CalendarExtender_FechaEmisionTextBox" runat="server" TargetControlID="FechaEmisionTextBox"
                                                    PopupButtonID="ImageButton_FechaEmisionTextBox" Format="dd/MM/yyyy" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblFacturaEjercicio" runat="server" Text="Factura/ejercicio: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:Label ID="lblNumero" runat="server" Text='<%# Eval("Numero") %>' />
                                                /
                                                <asp:Label ID="lblAñoFiscal" runat="server" Text='<%# Eval("AñoFiscal") %>' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDescripcion" runat="server" Text="Descripcion: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="DescripcionTextBox" runat="server" MaxLength="500" Width="580px"
                                                    ToolTip="Descripción del presupuesto" Text='<%# Bind("Descripcion") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DescripcionTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La descripcion del presupuesto es obligatoria"
                                                    ControlToValidate="DescripcionTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DescripcionTextBox"
                                                    runat="server" ControlToValidate="DescripcionTextBox" Display="Dynamic" ErrorMessage="La descripcion del presupuesto debe tener entre 1 y 500 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,500})$">*</asp:RegularExpressionValidator>
                                                <%--\u0021-\u0025 -> ! a %, incluye multitud de signos; excluimos \u0026 &
                                                \u0027-\u003b -> ' a ; excluimos \u003c < y \u003f >
                                                \u003d -> =      
                                                \u003f-\u007e -> ? a ~, incluye todas las letras no acentuadas, numeros y algunos signos
                                                \u00a1-\u00d6 -> ¡ a Ö, letras acentuadas y extranjeras
                                                \u00d8-\u00f6 -> Ø a ö, letras acentuadas y extranjeras
                                                \u00f8-\u017f -> ø a ſ, letras acentuadas y extranjeras
                                                 \s -> espacio --%> 
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="Label1" runat="server" Text="Importe bruto:" />
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:Label ID="Label2" runat="server" Text='<%# Eval("Importe","{0:N2}") %>' />
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="Label3" runat="server" Text="Tipo IVA:" />
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:Label ID="Label4" runat="server" Text='<%# Eval("TipoIVA","{0:N0}") %>' />
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="Label5" runat="server" Text="Importe IVA:" />
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:Label ID="Label6" runat="server" Text='<%# Eval("ImporteIVA","{0:N2}") %>' />
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblImporteTotal" runat="server" Text="Importe factura:" />
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:Label ID="lblImporteTotal2" runat="server" Text='<%# Eval("ImporteTotal","{0:N2}") %>' />
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblImportePagado" runat="server" Text="Importe pagado:" />
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:Label ID="lblImportePagado2" runat="server" Text='<%# Eval("ImportePagado","{0:N2}") %>' />
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservacionesCliente" runat="server" Text="Observaciones cliente: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesClienteTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones para el cliente sobre el presupuesto" Text='<%# Bind("ObservacionesCliente") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesClienteTextBox"
                                                    runat="server" ControlToValidate="ObservacionesClienteTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservacionesInternas" runat="server" Text="Observaciones internas: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesInternasTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones internas sobre el presupuesto" Text='<%# Bind("ObservacionesInternas") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesInternasTextBox"
                                                    runat="server" ControlToValidate="ObservacionesInternasTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>

                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                                            Text="Grabar modif." CssClass="button3"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Nuevo registro" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblCliente" runat="server" Text="Cliente: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlClienteID" runat="server" Width="300px" ToolTip="Cliente del presupuesto"
                                                    DataSourceID="odsClientes" DataTextField="Denominacion" DataValueField="ClienteID"
                                                    SelectedValue='<%# Bind("ClienteID") %>' AppendDataBoundItems="true">
                                                    <asp:ListItem Value="">Seleccione cliente</asp:ListItem>
                                                </asp:DropDownList>
                                                <asp:ObjectDataSource ID="odsClientes" runat="server"
                                                    SelectMethod="GetClientesActivos" TypeName="REFOR.DL.ClienteRepository" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_ddlClienteID" runat="server" Display="Dynamic"
                                                    ControlToValidate="ddlClienteID" ErrorMessage="El cliente del presupuesto no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CustomValidator ID="CustomValidator_ddlClienteID" runat="server" ControlToValidate="ddlClienteID"
                                                    Display="Dynamic" ErrorMessage="Error" OnServerValidate="CustomValidator_ddlClienteID_ServerValidate">*</asp:CustomValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblFechaEmision" runat="server" Text="Emisión: "></asp:Label>
                                            </td>
                                            <td class="pf_input2">
                                                <asp:TextBox ID="FechaEmisionTextBox" runat="server" Width="70px" Text='<%# Bind("FechaEmision","{0:dd/MM/yyyy}") %>'
                                                    ToolTip="Fecha de emisión de la factura"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_FechaEmisionTextBox" runat="server"
                                                    ControlToValidate="FechaEmisionTextBox" Display="Dynamic" ErrorMessage="La fecha de emisión no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_FechaEmisionTextBox" runat="server" ControlToValidate="FechaEmisionTextBox"
                                                    Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                                                    Operator="DataTypeCheck">*</asp:CompareValidator>
                                                <%-- <cc1:MaskedEditExtender ID="MaskedEditExtendertxt_FechaEmisionTextBox" runat="server"
                                                    TargetControlID="FechaEmisionTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                                                <asp:ImageButton ID="ImageButton_FechaEmisionTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                                                    Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                                                <cc1:CalendarExtender ID="CalendarExtender_FechaEmisionTextBox" runat="server" TargetControlID="FechaEmisionTextBox"
                                                    PopupButtonID="ImageButton_FechaEmisionTextBox" Format="dd/MM/yyyy" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDescripcion" runat="server" Text="Descripcion: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="DescripcionTextBox" runat="server" MaxLength="500" Width="580px"
                                                    ToolTip="Descripción del presupuesto" Text='<%# Bind("Descripcion") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DescripcionTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La descripcion del presupuesto es obligatoria"
                                                    ControlToValidate="DescripcionTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DescripcionTextBox"
                                                    runat="server" ControlToValidate="DescripcionTextBox" Display="Dynamic" ErrorMessage="La descripcion del presupuesto debe tener entre 1 y 500 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,500})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservacionesCliente" runat="server" Text="Observaciones cliente: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesClienteTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones para el cliente sobre el presupuesto" Text='<%# Bind("ObservacionesCliente") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesClienteTextBox"
                                                    runat="server" ControlToValidate="ObservacionesClienteTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservacionesInternas" runat="server" Text="Observaciones internas: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesInternasTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones internas sobre el presupuesto" Text='<%# Bind("ObservacionesInternas") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesInternasTextBox"
                                                    runat="server" ControlToValidate="ObservacionesInternasTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>

                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td colspan="2" style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                                            Text="Grabar nuevo" CssClass="button1"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            vacio
                        </ItemTemplate>
                    </asp:FormView>
                    <%--</ContentTemplate>
                </asp:UpdatePanel>--%>
                </td>
            </tr>
        </table>
        <!-- Object DataSource area-->
        <asp:ObjectDataSource ID="odsGeneral" runat="server"
            SelectMethod="GetFacturas" TypeName="REFOR.DL.FacturaRepository"
            OnDeleted="odsGeneral_Deleted" DeleteMethod="Eliminar">
            <DeleteParameters>
                <asp:Parameter Name="FacturaID" Type="Int32" />
            </DeleteParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="txtFilter" Name="Descripcion" PropertyName="Text" Type="String" />
                <asp:ControlParameter ControlID="ddlOrdenar" Name="OrdenarPor" PropertyName="SelectedValue" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsDetalle" runat="server" SelectMethod="ObtenerPorID"
            TypeName="REFOR.DL.FacturaRepository" OnInserted="odsDetalle_Inserted"
            OnUpdated="odsDetalle_Updated" InsertMethod="Insertar" UpdateMethod="Actualizar">
            <InsertParameters>
                <asp:Parameter Name="ClienteID" Type="Int32" />
                <asp:Parameter Name="FechaEmision" Type="DateTime" />
                <asp:Parameter Name="Descripcion" Type="String" />
                <asp:Parameter Name="ObservacionesCliente" Type="String" />
                <asp:Parameter Name="ObservacionesInternas" Type="String" />
            </InsertParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="FacturaID" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="FacturaID" Type="Int32" />
                <asp:Parameter Name="ClienteID" Type="Int32" />
                <asp:Parameter Name="FechaEmision" Type="DateTime" />
                <asp:Parameter Name="Descripcion" Type="String" />
                <asp:Parameter Name="ObservacionesCliente" Type="String" />
                <asp:Parameter Name="ObservacionesInternas" Type="String" />
            </UpdateParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
