﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="GestionMunicipios.aspx.cs" Inherits="REFOR.Web.Gestion.GestionMunicipios"
    Title="GESREF. Gestión de municipios" Theme="ReforThemes" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<%@ OutputCache Duration="1" VaryByParam="none" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td class="pf_labelMessage" style="width: 1099px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
            <tr>
                <td class="pf_title">Gestión de municipios
                </td>
            </tr>
        </table>
        <!-- START SEARCH: Search area -->
        <table id="SearchTable" class="pf_field" runat="server">
            <%--style="margin-top: 10px; margin-bottom: 10px"--%>
            <tr>
                <td class="pf_label">
                    <asp:Label ID="lblFilter" runat="server" Text="Nombre: "></asp:Label>
                </td>
                <td class="pf_input2">
                    <asp:TextBox ID="txtFilter" runat="server" ToolTip="Filtro a aplicar en la rejilla"
                        Width="220px" MaxLength="30"></asp:TextBox>
                </td>
                <td class="pf_label" style="text-align: center; width: 70px">
                    <asp:Button ID="btnFilter" runat="server" CssClass="button1" Text="Filtrar" ToolTip="Aplicar filtro"
                        OnClick="btnFilter_Click" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 150px">
                    <asp:Button ID="btnAñadirRegistro" runat="server" CssClass="button2" OnClick="btnAñadirRegistro_Click"
                        Text="Añadir municipio" ToolTip="Añadir un nuevo registro de municipio" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 300px">
                    <asp:Label ID="lblOrdenarPor" runat="server" Text="Ordernar por:  "></asp:Label>
                    <asp:DropDownList ID="ddlOrdenar" runat="server" AutoPostBack="True" OnSelectedIndexChanged="btnFilter_Click">
                        <asp:ListItem Value="codigo_INE">Codigo INE</asp:ListItem>
                        <asp:ListItem Selected="True" Value="nombre">Nombre</asp:ListItem>
                        <asp:ListItem Value="provincia">Provincia</asp:ListItem>
                        <asp:ListItem Value="municipio">Municipio</asp:ListItem>
                    </asp:DropDownList>
                </td>

            </tr>
        </table>
        <!-- Gridview Area -->
        <table id="GridViewTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView1" runat="server" AllowPaging="True"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataKeyNames="Codigo_INE" DataSourceID="odsGeneral" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged" OnRowDataBound="GridView1_RowDataBound"
                        OnPreRender="GridView1_PreRender" OnRowDeleted="GridView1_RowDeleted" OnRowDeleting="GridView1_RowDeleting"
                        CellPadding="5" Width="900px">
                        <Columns>
                            <asp:CommandField ShowDeleteButton="True" ShowSelectButton="True" HeaderText="Acci&#243;n"
                                ButtonType="Image" DeleteImageUrl="~/img/zap.bmp" DeleteText="Borrar" SelectImageUrl="~/img/EDIT.BMP"
                                SelectText="Cambiar">
                                <ItemStyle Width="50px" Wrap="False" />
                            </asp:CommandField>
                            <asp:BoundField DataField="Codigo_INE" HeaderText="Cod. INE" ReadOnly="True">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Center" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="MunicipioID" HeaderText="Municipio">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Center" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Provincia.Descripcion" HeaderText="Provincia">
                                <ControlStyle Width="100px" />
                                <ItemStyle HorizontalAlign="Center" Width="110px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Nombre" HeaderText="Nombre">
                                <ControlStyle Width="600px" />
                                <ItemStyle HorizontalAlign="Left" Width="610px" />
                            </asp:BoundField>

                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen municipios para mostrar con el filtro actual
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <table id="BodyTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:FormView ID="FormView1" runat="server" DataKeyNames="Codigo_INE" DataSourceID="odsDetalle"
                        OnItemCommand="FormView1_ItemCommand" OnItemInserted="FormView1_ItemInserted"
                        OnItemUpdated="FormView1_ItemUpdated" OnItemInserting="FormView1_ItemInserting"
                        OnItemUpdating="FormView1_ItemUpdating" OnDataBound="FormView1_DataBound">
                        <EditItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Modificación" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lbCodigo_INE" runat="server" Text="Código INE: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 600px">
                                                <asp:TextBox ID="Codigo_INETextBox" runat="server" MaxLength="5" Width="50px"
                                                    ToolTip="Código INE del municipio" ReadOnly="true" Text='<%# Eval("Codigo_INE") %>'></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblMunicipioID" runat="server" Text="Municipio: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 600px">
                                                <asp:TextBox ID="MunicipioIDTextBox" runat="server" MaxLength="4" Width="40px"
                                                    ToolTip="Código del municipio" Text='<%# Bind("MunicipioID") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_MunicipioIDTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="El código del municipio es obligatorio"
                                                    ControlToValidate="MunicipioIDTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_MunicipioIDTextBox"
                                                    runat="server" ControlToValidate="MunicipioIDTextBox" Display="Dynamic" ErrorMessage="El código de municipio debe estar compuesto de 4 dígitos"
                                                    ValidationExpression="^([0-9]{4})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblProvincia" runat="server" Text="Provincia: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 600px">
                                                <asp:DropDownList ID="ddlProvinciaID" runat="server" Width="200px" ToolTip="Provincia del municipio"
                                                    DataSourceID="odsProvincias" DataTextField="Descripcion" DataValueField="ProvinciaID"
                                                    SelectedValue='<%# Bind("ProvinciaID") %>' />
                                                <asp:ObjectDataSource ID="odsProvincias" runat="server"
                                                    SelectMethod="GetProvincias" TypeName="REFOR.DL.ProvinciaRepository" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblNombre" runat="server" Text="Nombre: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 600px">
                                                <asp:TextBox ID="NombreTextBox" runat="server" MaxLength="200" Width="580px"
                                                    ToolTip="Nombre del municipio" Text='<%# Bind("Nombre") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_NombreTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="El nombre del municipio es obligatorio"
                                                    ControlToValidate="NombreTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_NombreTextBox"
                                                    runat="server" ControlToValidate="NombreTextBox" Display="Dynamic" ErrorMessage="El nombre del municipiodebe tener entre 1 y 200 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>

                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                                            Text="Grabar modif." CssClass="button3"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Nuevo registro" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lbCodigo_INE" runat="server" Text="Código INE: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 600px">
                                                <asp:TextBox ID="Codigo_INETextBox" runat="server" MaxLength="5" Width="50px"
                                                    ToolTip="Código INE del municipio" Text='<%# Bind("Codigo_INE") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_Codigo_INETextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="El código INE es obligatorio"
                                                    ControlToValidate="Codigo_INETextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_Codigo_INETextBox"
                                                    runat="server" ControlToValidate="Codigo_INETextBox" Display="Dynamic" ErrorMessage="El código INE debe estar compuesto de 5 dígitos"
                                                    ValidationExpression="^([0-9]{5})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblMunicipioID" runat="server" Text="Municipio: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 600px">
                                                <asp:TextBox ID="MunicipioIDTextBox" runat="server" MaxLength="4" Width="40px"
                                                    ToolTip="Código del municipio" Text='<%# Bind("MunicipioID") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_MunicipioIDTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="El código del municipio es obligatorio"
                                                    ControlToValidate="MunicipioIDTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_MunicipioIDTextBox"
                                                    runat="server" ControlToValidate="MunicipioIDTextBox" Display="Dynamic" ErrorMessage="El código de municipio debe estar compuesto de 4 dígitos"
                                                    ValidationExpression="^([0-9]{4})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblProvincia" runat="server" Text="Provincia: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 600px">
                                                <asp:DropDownList ID="ddlProvinciaID" runat="server" Width="200px" ToolTip="Provincia del municipio"
                                                    DataSourceID="odsProvincias" DataTextField="Descripcion" DataValueField="ProvinciaID"
                                                    SelectedValue='<%# Bind("ProvinciaID") %>' />
                                                <asp:ObjectDataSource ID="odsProvincias" runat="server"
                                                    SelectMethod="GetProvincias" TypeName="REFOR.DL.ProvinciaRepository" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblNombre" runat="server" Text="Nombre: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 600px">
                                                <asp:TextBox ID="NombreTextBox" runat="server" MaxLength="200" Width="580px"
                                                    ToolTip="Nombre del municipio" Text='<%# Bind("Nombre") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_NombreTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="El nombre del municipio es obligatorio"
                                                    ControlToValidate="NombreTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_NombreTextBox"
                                                    runat="server" ControlToValidate="NombreTextBox" Display="Dynamic" ErrorMessage="El nombre del municipiodebe tener entre 1 y 200 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>

                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td colspan="2" style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                                            Text="Grabar nuevo" CssClass="button1"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            vacio
                        </ItemTemplate>
                    </asp:FormView>
                    <%--</ContentTemplate>
                </asp:UpdatePanel>--%>
                </td>
            </tr>
        </table>
        <!-- Object DataSource area-->
        <asp:ObjectDataSource ID="odsGeneral" runat="server"
            SelectMethod="GetMunicipios" TypeName="REFOR.DL.MunicipioRepository"
            OnDeleted="odsGeneral_Deleted" DeleteMethod="Eliminar">
            <DeleteParameters>
                <asp:Parameter Name="Codigo_INE" Type="String" />
            </DeleteParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="txtFilter" Name="Nombre" PropertyName="Text" Type="String" />
                <asp:ControlParameter ControlID="ddlOrdenar" Name="OrdenarPor" PropertyName="SelectedValue" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsDetalle" runat="server" SelectMethod="ObtenerPorID"
            TypeName="REFOR.DL.MunicipioRepository" OnInserted="odsDetalle_Inserted"
            OnUpdated="odsDetalle_Updated" InsertMethod="Insertar" UpdateMethod="Actualizar">
            <InsertParameters>
                <asp:Parameter Name="Codigo_INE" Type="String" />
                <asp:Parameter Name="MunicipioID" Type="String" />
                <asp:Parameter Name="ProvinciaID" Type="String" />
                <asp:Parameter Name="Nombre" Type="String" />
            </InsertParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="Codigo_INE" PropertyName="SelectedValue"
                    Type="String" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="Codigo_INE" Type="String" />
                <asp:Parameter Name="MunicipioID" Type="String" />
                <asp:Parameter Name="ProvinciaID" Type="String" />
                <asp:Parameter Name="Nombre" Type="String" />
            </UpdateParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
