﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true" 
    CodeBehind="GestionProductos.aspx.cs" Inherits="REFOR.Web.Gestion.GestionProductos" 
    Title="GESREF. Gestión de productos" Theme="ReforThemes" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td class="pf_labelMessage" style="width: 1099px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
            <tr>
                <td class="pf_title">Gestión de productos
                </td>
            </tr>
        </table>
        <!-- START SEARCH: Search area -->
        <table id="SearchTable" class="pf_field" runat="server">
            <%--style="margin-top: 10px; margin-bottom: 10px"--%>
            <tr>
                <td class="pf_label">
                    <asp:Label ID="lblFilter" runat="server" Text="Nombre: "></asp:Label>
                </td>
                <td class="pf_input2">
                    <asp:TextBox ID="txtFilter" runat="server" ToolTip="Filtro a aplicar en la rejilla"
                        Width="220px" MaxLength="30"></asp:TextBox>
                </td>
                <td class="pf_label" style="text-align: center; width: 70px">
                    <asp:Button ID="btnFilter" runat="server" CssClass="button1" Text="Filtrar" ToolTip="Aplicar filtro"
                        OnClick="btnFilter_Click" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 150px">
                    <asp:Button ID="btnAñadirRegistro" runat="server" CssClass="button2" OnClick="btnAñadirRegistro_Click"
                        Text="Añadir producto" ToolTip="Añadir un nuevo registro de producto" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 300px">
                    <asp:Label ID="lblOrdenarPor" runat="server" Text="Ordernar por:  "></asp:Label>
                    <asp:DropDownList ID="ddlOrdenar" runat="server" AutoPostBack="True" OnSelectedIndexChanged="btnFilter_Click">
                        <asp:ListItem Value="productoID">ID</asp:ListItem>
                        <asp:ListItem Value="proveedor">Proveedor</asp:ListItem>
                        <asp:ListItem Selected="True" Value="nombre">Nombre</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <!-- Gridview Area -->
        <table id="GridViewTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView1" runat="server" AllowPaging="True"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataSourceID="odsGeneral" DataKeyNames="ProductoID" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged" OnRowDataBound="GridView1_RowDataBound"
                        OnPreRender="GridView1_PreRender" OnRowDeleted="GridView1_RowDeleted" OnRowDeleting="GridView1_RowDeleting"
                        CellPadding="5">
                        <Columns>
                            <asp:CommandField ShowDeleteButton="True" ShowSelectButton="True" HeaderText="Acci&#243;n"
                                ButtonType="Image" DeleteImageUrl="~/img/zap.bmp" DeleteText="Borrar" SelectImageUrl="~/img/EDIT.BMP"
                                SelectText="Cambiar">
                                <ItemStyle Width="50px" Wrap="False" />
                            </asp:CommandField>
                            <asp:BoundField DataField="ProductoID" HeaderText="ID" ReadOnly="True" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Nombre" HeaderText="Nombre">
                                <ControlStyle Width="200px" />
                                <ItemStyle HorizontalAlign="Left" Width="210px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Precio" HeaderText="Precio" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Coste" HeaderText="Coste" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Proveedor.Denominacion" HeaderText="Proveedor">
                                <ControlStyle Width="200px" />
                                <ItemStyle HorizontalAlign="Left" Width="210px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Activo" HeaderText="Activo">
                                <ControlStyle Width="40px" />
                                <ItemStyle HorizontalAlign="Center" Width="50px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="TipoProducto.Descripcion" HeaderText="Tipo">
                                <ControlStyle Width="80px" />
                                <ItemStyle HorizontalAlign="Left" Width="90px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="TipoFacturacion.Descripcion" HeaderText="Facturación">
                                <ControlStyle Width="100px" />
                                <ItemStyle HorizontalAlign="Left" Width="110px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen productos para mostrar con el filtro actual
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <table id="BodyTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:FormView ID="FormView1" runat="server" DataKeyNames="ProductoID" DataSourceID="odsDetalle"
                        OnItemCommand="FormView1_ItemCommand" OnItemInserted="FormView1_ItemInserted"
                        OnItemUpdated="FormView1_ItemUpdated" OnItemInserting="FormView1_ItemInserting"
                        OnItemUpdating="FormView1_ItemUpdating" OnDataBound="FormView1_DataBound">
                        <EditItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Modificación" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblProducto" runat="server" Text="ID: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:Label ID="lblProductoID" runat="server" Text='<%# Eval("ProductoID") %>' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblNombre" runat="server" Text="Nombre: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="NombreTextBox" runat="server" MaxLength="100" Width="580px"
                                                    ToolTip="Nombre del producto" Text='<%# Bind("Nombre") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_NombreTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La descripción del producto es obligatoria"
                                                    ControlToValidate="NombreTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_NombreTextBox"
                                                    runat="server" ControlToValidate="NombreTextBox" Display="Dynamic" ErrorMessage="La descripción del producto debe tener entre 1 y 100 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,100})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDescripcionPresupuesto" runat="server" Text="Desc.presupuesto: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="DescripcionPresupuestoTextBox" runat="server" MaxLength="500" Width="580px"
                                                    ToolTip="Descripcion que aparecerá en el presupuesto" Text='<%# Bind("DescripcionPresupuesto") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DescripcionPresupuestoTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La descripción del producto para el presupuesto es obligatoria"
                                                    ControlToValidate="DescripcionPresupuestoTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DescripcionPresupuestoTextBox"
                                                    runat="server" ControlToValidate="DescripcionPresupuestoTextBox" Display="Dynamic" ErrorMessage="La descripción del producto para el presupuesto debe tener entre 1 y 500 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,500})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblTipoProducto" runat="server" Text="Tipo producto: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlTipoProductoID" runat="server" Width="200px" ToolTip="Tipo de producto"
                                                    DataSourceID="odsTipoProducto" DataTextField="Descripcion" DataValueField="TipoProductoID"
                                                    SelectedValue='<%# Bind("TipoProductoID") %>'>
                                                </asp:DropDownList>
                                                <asp:ObjectDataSource ID="odsTipoProducto" runat="server"
                                                    SelectMethod="GetTiposProducto" TypeName="REFOR.DL.TipoProductoRepository" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblFacturacionID" runat="server" Text="Tipo facturación: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlFacturacionID" runat="server" Width="200px" ToolTip="Tipo de facturación"
                                                    DataSourceID="odsTipoFacturacion" DataTextField="Descripcion" DataValueField="TipoFacturacionID"
                                                    SelectedValue='<%# Bind("FacturacionID") %>'>
                                                </asp:DropDownList>
                                                <asp:ObjectDataSource ID="odsTipoFacturacion" runat="server"
                                                    SelectMethod="GetTiposFacturacion" TypeName="REFOR.DL.TipoFacturacionRepository" />
                                                <asp:CustomValidator ID="CustomValidator_ddlFacturacionID" runat="server" ErrorMessage="Error" ControlToValidate="ddlFacturacionID" Display="Dynamic" OnServerValidate="CustomValidator_ddlFacturacionID_ServerValidate">*</asp:CustomValidator>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblPrecio" runat="server" Text="Precio:" />
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="PrecioTextBox" runat="server" Width="120px"
                                                    ToolTip="Precio del producto" Text='<%# Bind("Precio","{0:0.00}") %>'></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_PrecioTextBox" runat="server" ErrorMessage="El precio del producto no es correcto"
                                                    ControlToValidate="PrecioTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Double">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_PrecioTextBox" runat="server" ErrorMessage="El precio del producto a de ser positivo"
                                                    ControlToValidate="PrecioTextBox" Display="Dynamic" Operator="GreaterThan" Type="Double" ValueToCompare="0">*</asp:CompareValidator>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblCoste" runat="server" Text="Coste:" />
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="CosteTextBox" runat="server" Width="120px"
                                                    ToolTip="Coste del producto" Text='<%# Bind("Coste","{0:0.00}") %>'></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_CosteTextBox" runat="server" ErrorMessage="El coste del producto no es correcto"
                                                    ControlToValidate="CosteTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Double">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_CosteTextBox" runat="server" ErrorMessage="El coste del producto a de ser positivo o cero"
                                                    ControlToValidate="CosteTextBox" Display="Dynamic" Operator="GreaterThanEqual" Type="Double" ValueToCompare="0">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator3_CosteTextBox" runat="server" ErrorMessage="El coste del producto a de ser inferior o igual al precio"
                                                    ControlToValidate="CosteTextBox" Display="Dynamic" Operator="LessThanEqual" Type="Double" ControlToCompare="PrecioTextBox">*</asp:CompareValidator>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblActivo" runat="server" Text="Activo:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="ActivoCheckBox" runat="server" Checked='<%# Bind("Activo") %>' ToolTip="Indicar si el producto se encuentra activo" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblProveedor" runat="server" Text="Proveedor: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlProveedorID" runat="server" Width="200px" ToolTip="Nombre del proveedor"
                                                    DataSourceID="odsProveedores" DataTextField="Denominacion" DataValueField="ProveedorID"
                                                    SelectedValue='<%# Bind("ProveedorID") %>' AppendDataBoundItems="true">
                                                    <asp:ListItem Value="">Sin proveedor</asp:ListItem>
                                                </asp:DropDownList>
                                                <asp:ObjectDataSource ID="odsProveedores" runat="server"
                                                    SelectMethod="GetProveedores" TypeName="REFOR.DL.ProveedorRepository" />
                                                <asp:CustomValidator ID="CustomValidator_ddlProveedorID" runat="server" ControlToValidate="ddlProveedorID" 
                                                    Display="Dynamic" ErrorMessage="Error" OnServerValidate="CustomValidator_ddlProveedorID_ServerValidate">*</asp:CustomValidator>
                                            </td>
                                        </tr>
                                        <tr id="trVerificacion" runat="server" visible="false">
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblVerificacion" runat="server" Text="Verificación: " ForeColor="Red"></asp:Label>
                                            </td>
                                            <td class="pf_labelinput2" style="width: 730px">
                                                <asp:CheckBox ID="CheckBox1" runat="server" Checked="false" Text="  Verifique que desea utilizar un proveedor que no se encuentra activo"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservaciones" runat="server" Text="Observaciones: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones sobre el producto" Text='<%# Bind("Observaciones") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesTextBox"
                                                    runat="server" ControlToValidate="ObservacionesTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                                            Text="Grabar modif." CssClass="button3"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Nuevo registro" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblNombre" runat="server" Text="Nombre: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="NombreTextBox" runat="server" MaxLength="100" Width="580px"
                                                    ToolTip="Nombre del producto" Text='<%# Bind("Nombre") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_NombreTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La descripción del producto es obligatoria"
                                                    ControlToValidate="NombreTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_NombreTextBox"
                                                    runat="server" ControlToValidate="NombreTextBox" Display="Dynamic" ErrorMessage="La descripción del producto debe tener entre 1 y 100 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,100})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDescripcionPresupuesto" runat="server" Text="Desc.presupuesto: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="DescripcionPresupuestoTextBox" runat="server" MaxLength="500" Width="580px"
                                                    ToolTip="Descripcion que aparecerá en el presupuesto" Text='<%# Bind("DescripcionPresupuesto") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DescripcionPresupuestoTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La descripción del producto para el presupuesto es obligatoria"
                                                    ControlToValidate="DescripcionPresupuestoTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DescripcionPresupuestoTextBox"
                                                    runat="server" ControlToValidate="DescripcionPresupuestoTextBox" Display="Dynamic" ErrorMessage="La descripción del producto para el presupuesto debe tener entre 1 y 500 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,500})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblTipoProducto" runat="server" Text="Tipo producto: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlTipoProductoID" runat="server" Width="200px" ToolTip="Tipo de producto"
                                                    DataSourceID="odsTipoProducto" DataTextField="Descripcion" DataValueField="TipoProductoID"
                                                    SelectedValue='<%# Bind("TipoProductoID") %>'>
                                                </asp:DropDownList>
                                                <asp:ObjectDataSource ID="odsTipoProducto" runat="server"
                                                    SelectMethod="GetTiposProducto" TypeName="REFOR.DL.TipoProductoRepository" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblFacturacionID" runat="server" Text="Tipo facturación: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlFacturacionID" runat="server" Width="200px" ToolTip="Tipo de facturación"
                                                    DataSourceID="odsTipoFacturacion" DataTextField="Descripcion" DataValueField="TipoFacturacionID"
                                                    SelectedValue='<%# Bind("FacturacionID") %>'>
                                                </asp:DropDownList>
                                                <asp:ObjectDataSource ID="odsTipoFacturacion" runat="server"
                                                    SelectMethod="GetTiposFacturacion" TypeName="REFOR.DL.TipoFacturacionRepository" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblPrecio" runat="server" Text="Precio:" />
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="PrecioTextBox" runat="server" Width="120px"
                                                    ToolTip="Precio del producto" Text='<%# Bind("Precio","{0:0.00}") %>'></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_PrecioTextBox" runat="server" ErrorMessage="El precio del producto no es correcto"
                                                    ControlToValidate="PrecioTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Double">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_PrecioTextBox" runat="server" ErrorMessage="El precio del producto a de ser positivo"
                                                    ControlToValidate="PrecioTextBox" Display="Dynamic" Operator="GreaterThan" Type="Double" ValueToCompare="0">*</asp:CompareValidator>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblCoste" runat="server" Text="Coste:" />
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="CosteTextBox" runat="server" Width="120px"
                                                    ToolTip="Coste del producto" Text='<%# Bind("Coste","{0:0.00}") %>'></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_CosteTextBox" runat="server" ErrorMessage="El coste del producto no es correcto"
                                                    ControlToValidate="CosteTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Double">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_CosteTextBox" runat="server" ErrorMessage="El coste del producto a de ser positivo o cero"
                                                    ControlToValidate="CosteTextBox" Display="Dynamic" Operator="GreaterThanEqual" Type="Double" ValueToCompare="0">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator3_CosteTextBox" runat="server" ErrorMessage="El coste del producto a de ser inferior o igual al precio"
                                                    ControlToValidate="CosteTextBox" Display="Dynamic" Operator="LessThanEqual" Type="Double" ControlToCompare="PrecioTextBox">*</asp:CompareValidator>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblActivo" runat="server" Text="Activo:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="ActivoCheckBox" runat="server" Checked='<%# Bind("Activo") %>' ToolTip="Indicar si el producto se encuentra activo" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblProveedor" runat="server" Text="Proveedor: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlProveedorID" runat="server" Width="200px" ToolTip="Nombre del proveedor"
                                                    DataSourceID="odsProveedores" DataTextField="Denominacion" DataValueField="ProveedorID"
                                                    SelectedValue='<%# Bind("ProveedorID") %>' AppendDataBoundItems="true">
                                                    <asp:ListItem Value="">Sin proveedor</asp:ListItem>
                                                </asp:DropDownList>
                                                <asp:ObjectDataSource ID="odsProveedores" runat="server"
                                                    SelectMethod="GetProveedoresActivos" TypeName="REFOR.DL.ProveedorRepository" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservaciones" runat="server" Text="Observaciones: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones sobre el producto" Text='<%# Bind("Observaciones") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesTextBox"
                                                    runat="server" ControlToValidate="ObservacionesTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td colspan="2" style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                                            Text="Grabar nuevo" CssClass="button1"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            vacio
                        </ItemTemplate>
                    </asp:FormView>
                    <%--</ContentTemplate>
                </asp:UpdatePanel>--%>
                </td>
            </tr>
        </table>
        <!-- Object DataSource area-->
        <asp:ObjectDataSource ID="odsGeneral" runat="server"
            SelectMethod="GetProductos" TypeName="REFOR.DL.ProductoRepository"
            OnDeleted="odsGeneral_Deleted" DeleteMethod="Eliminar">
            <DeleteParameters>
                <asp:Parameter Name="ProductoID" Type="Int32" />
            </DeleteParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="txtFilter" Name="Nombre" PropertyName="Text" Type="String" />
                <asp:ControlParameter ControlID="ddlOrdenar" Name="OrdenarPor" PropertyName="SelectedValue" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsDetalle" runat="server" SelectMethod="ObtenerPorID"
            TypeName="REFOR.DL.ProductoRepository" OnInserted="odsDetalle_Inserted"
            OnUpdated="odsDetalle_Updated" InsertMethod="Insertar" UpdateMethod="Actualizar">
            <InsertParameters>
                <asp:Parameter Name="Nombre" Type="String" />
                <asp:Parameter Name="DescripcionPresupuesto" Type="String" />
                <asp:Parameter Name="TipoProductoID" Type="Int32" />
                <asp:Parameter Name="FacturacionID" Type="Int32" />
                <asp:Parameter Name="Precio" Type="Decimal" />
                <asp:Parameter Name="Activo" Type="Boolean" />
                <asp:Parameter Name="Observaciones" Type="String" />
                <asp:Parameter Name="ProveedorID" Type="Int32" />
                <asp:Parameter Name="Coste" Type="Decimal" />
            </InsertParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="ProductoID" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="ProductoID" Type="Int32" />
                <asp:Parameter Name="Nombre" Type="String" />
                <asp:Parameter Name="DescripcionPresupuesto" Type="String" />
                <asp:Parameter Name="TipoProductoID" Type="Int32" />
                <asp:Parameter Name="FacturacionID" Type="Int32" />
                <asp:Parameter Name="Precio" Type="Decimal" />
                <asp:Parameter Name="Activo" Type="Boolean" />
                <asp:Parameter Name="Observaciones" Type="String" />
                <asp:Parameter Name="ProveedorID" Type="Int32" />
                <asp:Parameter Name="Coste" Type="Decimal" />
            </UpdateParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
