﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="Entrada.aspx.cs" Inherits="REFOR.Web.Entrada"
    Title="GESREF. Introducción al sistema" Theme="ReforThemes" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<%@ OutputCache Duration="1" VaryByParam="none" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">

    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td style="text-align: center; align-content: center; vertical-align: middle; color: aqua; width: 619px;">
                    <h1>Introducción al sistema</h1>
                </td>
            </tr>
            <tr>
                <td class="pf_labelMessage" style="width: 619px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
        </table>
        <!-- START SEARCH: Search area -->
        <table id="EntradaTable" class="pf_field" runat="server" style="height: 150px">
            <tr>
                <td style="width: 102px">Usuario:</td>
                <td>
                    <asp:TextBox ID="UsuarioTextBox" Width="150px" MaxLength="20" runat="server" />
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator_UsuarioTextBox"
                        ControlToValidate="UsuarioTextBox"
                        Display="Dynamic"
                        ErrorMessage="El nombre del usuario no puede dejarse en blanco"
                        runat="server">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 102px">Password:</td>
                <td>
                    <asp:TextBox ID="PasswordTextBox" Width="150px" TextMode="Password"
                        runat="server" />
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator_PasswordTextBox"
                        ControlToValidate="PasswordTextBox"
                        ErrorMessage="El password no puede dejarse en blanco"
                        runat="server">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2" style="text-align: center; height: 68px;">
                    <asp:Button ID="ChequearBtn" OnClick="Logon_Click" Text="Entrar"
                        runat="server" />
                </td>
            </tr>
        </table>
        <table id="CambioTable" class="pf_field" runat="server" style="height: 150px; width: 403px;" visible="false">
            <tr>
                <td style="width: 151px">Nuevo password:</td>
                <td>
                    <asp:TextBox ID="NuevoPasswordTextBox" Width="158px" runat="server" TextMode="Password" />
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator_NuevoPasswordTextBox"
                        ControlToValidate="NuevoPasswordTextBox"
                        Display="Dynamic"
                        ErrorMessage="El password no puede dejarse en blanco"
                        runat="server">*</asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator_Media_NuevoPasswordTextBox" runat="server"
                        ErrorMessage="El password debe contener al menos una letra minúscula, una mayúscula y un número <br/> y medir entre 8 y 20 caracteres"
                        ValidationExpression="^((?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,20})$"
                        ControlToValidate="NuevoPasswordTextBox">*</asp:RegularExpressionValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator_Alta_NuevoPasswordTextBox" runat="server"
                        ErrorMessage="El password debe contener al menos una letra minúscula, una mayúscula, un caracter especial y un número <br/> y medir entre 12 y 20 caracteres"
                        ValidationExpression="^((?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,20})$" Enabled="false"
                        ControlToValidate="NuevoPasswordTextBox">*</asp:RegularExpressionValidator>
        
                    <asp:CustomValidator ID="CustomValidator_NuevoPasswordTextBox" runat="server" ControlToValidate="NuevoPasswordTextBox" Display="Dynamic" ErrorMessage="El password no puede ser igual al actual" OnServerValidate="CustomValidator_NuevoPasswordTextBox_ServerValidate">*</asp:CustomValidator>
        
                </td>
            </tr>
            <tr>
                <td style="width: 151px">Confirmar password:</td>
                <td>
                    <asp:TextBox ID="ConfirmacionPasswordTextBox" Width="158px" TextMode="Password"
                        runat="server" />
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator_ConfirmacionPasswordTextBox"
                        ControlToValidate="ConfirmacionPasswordTextBox"
                        ErrorMessage="La confirmación del password no puede dejarse en blanco"
                        runat="server">*</asp:RequiredFieldValidator>
                    <asp:CompareValidator ID="CompareValidator_ConfirmacionPasswordTextBox" runat="server"
                        ErrorMessage="No coincide con el password introducido" ControlToCompare="NuevoPasswordTextBox"
                        ControlToValidate="ConfirmacionPasswordTextBox">*</asp:CompareValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2" style="text-align: center; height: 68px;">
                    <asp:Button ID="CambiarBtn" OnClick="Cambiar_password_Click" Text="Cambiar password"
                        runat="server" />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>


