﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Configuration;

namespace REFOR.Web.ErrorPages
{
    public partial class Oops : System.Web.UI.Page
    {
        /// <summary>
        /// Handles the Load event of the Page control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Page.PreviousPage != null && Page.PreviousPage.Title != null)
                lblPagina.Text = "'" + Page.PreviousPage.Title + "'";
            else
                lblPagina.Text = "' Sin página previa'";
            Server.ClearError();
            if (WebConfigurationManager.AppSettings["MostrarTraza"] == null
            || WebConfigurationManager.AppSettings["MostrarTraza"].Trim().ToUpper() != "TRUE")
                HttpContext.Current.Trace.IsEnabled = false;
        }
    }
}