﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="GestionGastos.aspx.cs" Inherits="REFOR.Web.Gestion.GestionGastos"
    Title="GESREF. Gestión de gastos" Theme="ReforThemes" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td class="pf_labelMessage" style="width: 1099px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
            <tr>
                <td class="pf_title">Gestión de gastos
                </td>
            </tr>
        </table>
        <!-- START SEARCH: Search area -->
        <table id="SearchTable" class="pf_field" runat="server">
            <%--style="margin-top: 10px; margin-bottom: 10px"--%>
            <tr>
                <td class="pf_label">
                    <asp:Label ID="lblFilter" runat="server" Text="Descripcion: "></asp:Label>
                </td>
                <td class="pf_input2">
                    <asp:TextBox ID="txtFilter" runat="server" ToolTip="Filtro a aplicar en la rejilla"
                        Width="220px" MaxLength="30"></asp:TextBox>
                </td>
                <td class="pf_label" style="text-align: center; width: 70px">
                    <asp:Button ID="btnFilter" runat="server" CssClass="button1" Text="Filtrar" ToolTip="Aplicar filtro"
                        OnClick="btnFilter_Click" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 150px">
                    <asp:Button ID="btnAñadirRegistro" runat="server" CssClass="button2" OnClick="btnAñadirRegistro_Click"
                        Text="Añadir gasto" ToolTip="Añadir un nuevo registro de gasto" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 300px">
                    <asp:Label ID="lblOrdenarPor" runat="server" Text="Ordernar por:  "></asp:Label>
                    <asp:DropDownList ID="ddlOrdenar" runat="server" AutoPostBack="True" OnSelectedIndexChanged="btnFilter_Click">
                        <asp:ListItem Value="gastoID">ID</asp:ListItem>
                        <asp:ListItem Value="fechaRecepcion">Recepción</asp:ListItem>
                        <asp:ListItem Value="rubrica">Rubrica</asp:ListItem>
                        <asp:ListItem Value="proveedor">Proveedor</asp:ListItem>
                        <asp:ListItem Selected="True" Value="descripcionn">Descripcion</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <!-- Gridview Area -->
        <table id="GridViewTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView1" runat="server" AllowPaging="True"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataSourceID="odsGeneral" DataKeyNames="GastoID" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged" OnRowDataBound="GridView1_RowDataBound"
                        OnPreRender="GridView1_PreRender" OnRowDeleted="GridView1_RowDeleted" OnRowDeleting="GridView1_RowDeleting"
                        CellPadding="5">
                        <Columns>
                            <asp:CommandField ShowDeleteButton="True" ShowSelectButton="True" HeaderText="Acci&#243;n"
                                ButtonType="Image" DeleteImageUrl="~/img/zap.bmp" DeleteText="Borrar" SelectImageUrl="~/img/EDIT.BMP"
                                SelectText="Cambiar">
                                <ItemStyle Width="50px" Wrap="False" />
                            </asp:CommandField>
                            <asp:BoundField DataField="GastoID" HeaderText="ID" ReadOnly="True" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Proveedor.Denominacion" HeaderText="Proveedor">
                                <ControlStyle Width="200px" />
                                <ItemStyle HorizontalAlign="Left" Width="210px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="FechaRecepcion" HeaderText="Recepción" DataFormatString="{0:dd/MM/yyyy}">
                                <ControlStyle Width="60px" />
                                <ItemStyle HorizontalAlign="Center" Width="70px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Importe" HeaderText="Importe" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Descripcion" HeaderText="Descripción">
                                <ControlStyle Width="200px" />
                                <ItemStyle HorizontalAlign="Left" Width="210px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="AñoFiscal" HeaderText="Año">
                                <ControlStyle Width="40px" />
                                <ItemStyle HorizontalAlign="Center" Width="50px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Numero" HeaderText="Número">
                                <ControlStyle Width="40px" />
                                <ItemStyle HorizontalAlign="Right" Width="50px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Rubrica.Descripcion" HeaderText="Rúbrica">
                                <ControlStyle Width="200px" />
                                <ItemStyle HorizontalAlign="Left" Width="210px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen gastos para mostrar con el filtro actual
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <table id="BodyTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:FormView ID="FormView1" runat="server" DataKeyNames="GastoID" DataSourceID="odsDetalle"
                        OnItemCommand="FormView1_ItemCommand" OnItemInserted="FormView1_ItemInserted"
                        OnItemUpdated="FormView1_ItemUpdated" OnItemInserting="FormView1_ItemInserting"
                        OnItemUpdating="FormView1_ItemUpdating" OnDataBound="FormView1_DataBound">
                        <EditItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Modificación" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblGasto" runat="server" Text="ID: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:Label ID="lblGastoID" runat="server" Text='<%# Eval("GastoID") %>' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblFechaRecepcion" runat="server" Text="Recepción: "></asp:Label>
                                            </td>
                                            <td class="pf_input2" style="width: 730px">
                                                <asp:TextBox ID="FechaRecepcionTextBox" runat="server" Width="70px" Text='<%# Bind("FechaRecepcion","{0:dd/MM/yyyy}") %>'
                                                    ToolTip="Fecha de recepción del gasto"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_FechaRecepcionTextBox" runat="server"
                                                    ControlToValidate="FechaRecepcionTextBox" Display="Dynamic" ErrorMessage="La fecha de recepción no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_FechaRecepcionTextBox" runat="server" ControlToValidate="FechaRecepcionTextBox"
                                                    Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                                                    Operator="DataTypeCheck">*</asp:CompareValidator>
                                               <%-- <cc1:MaskedEditExtender ID="MaskedEditExtendertxt_FechaRecepcionTextBox" runat="server"
                                                    TargetControlID="FechaRecepcionTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                                                <asp:ImageButton ID="ImageButton_FechaRecepcionTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                                                    Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                                                <cc1:CalendarExtender ID="CalendarExtender_FechaRecepcionTextBox" runat="server" TargetControlID="FechaRecepcionTextBox"
                                                    PopupButtonID="ImageButton_FechaRecepcionTextBox" Format="dd/MM/yyyy" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblFechaEmision" runat="server" Text="Emisión: "></asp:Label>
                                            </td>
                                            <td class="pf_input2" style="width: 730px">
                                                <asp:TextBox ID="FechaEmisionTextBox" runat="server" Width="70px" Text='<%# Bind("FechaEmision","{0:dd/MM/yyyy}") %>'
                                                    ToolTip="Fecha de emisión de la factura"></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_FechaEmisionTextBox" runat="server" ControlToValidate="FechaEmisionTextBox"
                                                    Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                                                    Operator="DataTypeCheck">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_FechaEmisionTextBox" runat="server" ControlToValidate="FechaEmisionTextBox"
                                                    Display="Dynamic" ErrorMessage="La fecha de emisión debe ser inferior o igual a la fecha de recepción" Type="Date"
                                                    Operator="LessThanEqual" ControlToCompare="FechaRecepcionTextBox">*</asp:CompareValidator>
                                                <%--<cc1:MaskedEditExtender ID="MaskedEditExtender_FechaEmisionTextBox" runat="server"
                                                    TargetControlID="FechaEmisionTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                                                <asp:ImageButton ID="ImageButton_FechaEmisionTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                                                    Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                                                <cc1:CalendarExtender ID="CalendarExtender_FechaEmisionTextBox" runat="server" TargetControlID="FechaEmisionTextBox"
                                                    PopupButtonID="ImageButton_FechaEmisionTextBox" Format="dd/MM/yyyy" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblProveedor" runat="server" Text="Proveedor: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:DropDownList ID="ddlProveedorID" runat="server" Width="200px" ToolTip="Nombre del proveedor"
                                                    DataSourceID="odsProveedores" DataTextField="Denominacion" DataValueField="ProveedorID"
                                                    SelectedValue='<%# Bind("ProveedorID") %>' AppendDataBoundItems="true">
                                                    <asp:ListItem Value="">Sin proveedor</asp:ListItem>
                                                </asp:DropDownList>
                                                <asp:ObjectDataSource ID="odsProveedores" runat="server"
                                                    SelectMethod="GetProveedores" TypeName="REFOR.DL.ProveedorRepository" />
                                                <asp:CustomValidator ID="CustomValidator_ddlProveedorID" runat="server" ControlToValidate="ddlProveedorID" 
                                                    Display="Dynamic" ErrorMessage="Error" OnServerValidate="CustomValidator_ddlProveedorID_ServerValidate">*</asp:CustomValidator>
                                            </td>
                                        </tr>
                                        <tr id="trVerificacion" runat="server" visible="false">
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblVerificacion" runat="server" Text="Verificación: " ForeColor="Red"></asp:Label>
                                            </td>
                                            <td class="pf_labelinput2" style="width: 730px">
                                                <asp:CheckBox ID="ActivoCheckBox" runat="server" Checked="false" Text="  Verifique que desea utilizar un proveedor que no se encuentra activo"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblFactura" runat="server" Text="Factura/ejercicio: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:TextBox ID="NumeroTextBox" runat="server" MaxLength="6" Width="60px"
                                                    ToolTip="Número de factura del proveedor" Text='<%# Bind("Numero") %>'></asp:TextBox>
                                                /
                                                <asp:TextBox ID="AñoFiscalTextBox" runat="server" MaxLength="4" Width="40px"
                                                    ToolTip="Año de emisión de la factura" Text='<%# Bind("AñoFiscal") %>'></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_NumeroTextBox" runat="server" ErrorMessage="El número de la factura no es correcto"
                                                    ControlToValidate="NumeroTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Integer">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator_AñoFiscalTextBox" runat="server" ErrorMessage="El ejercicio de la factura no es correcto"
                                                    ControlToValidate="AñoFiscalTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Integer">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_NumeroTextBox" runat="server" ErrorMessage="El número de la factura no es correcto"
                                                    ControlToValidate="NumeroTextBox" Display="Dynamic" Operator="GreaterThan" Type="Integer" ValueToCompare="0">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_AñoFiscalTextBox" runat="server" ErrorMessage="El ejercicio de la factura no es correcto"
                                                    ControlToValidate="AñoFiscalTextBox" Display="Dynamic" Operator="GreaterThan" Type="Integer" ValueToCompare="2013">*</asp:CompareValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDescripcion" runat="server" Text="Descripcion: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:TextBox ID="DescripcionTextBox" runat="server" MaxLength="200" Width="580px"
                                                    ToolTip="Descripción del gasto" Text='<%# Bind("Descripcion") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DescripcionTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La descripción del gasto es obligatoria"
                                                    ControlToValidate="DescripcionTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DescripcionTextBox"
                                                    runat="server" ControlToValidate="DescripcionTextBox" Display="Dynamic" ErrorMessage="La descripción del gasto debe tener entre 1 y 200 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblImporte" runat="server" Text="Importe:" />
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:TextBox ID="ImporteTextBox" runat="server" Width="120px"
                                                    ToolTip="Importe del gasto" Text='<%# Bind("Importe","{0:0.00}") %>'></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_ImporteTextBox" runat="server" ErrorMessage="El importe del gasto no es correcto"
                                                    ControlToValidate="ImporteTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Double">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_ImporteTextBox" runat="server" ErrorMessage="El importe dle gasto a de ser positivo"
                                                    ControlToValidate="ImporteTextBox" Display="Dynamic" Operator="GreaterThan" Type="Double" ValueToCompare="0">*</asp:CompareValidator>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblRubrica" runat="server" Text="Rúbrica: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:DropDownList ID="ddlRubricaGastoID" runat="server" Width="200px" ToolTip="Rúbrica del gasto"
                                                    DataSourceID="odsRubricas" DataTextField="Descripcion" DataValueField="RubricaGastoID"
                                                    SelectedValue='<%# Bind("RubricaGastoID") %>' />
                                                <asp:ObjectDataSource ID="odsRubricas" runat="server"
                                                    SelectMethod="GetRubricas" TypeName="REFOR.DL.RubricaRepository" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservaciones" runat="server" Text="Observaciones: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 730px">
                                                <asp:TextBox ID="ObservacionesTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones sobre el gasto" Text='<%# Bind("Observaciones") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesTextBox"
                                                    runat="server" ControlToValidate="ObservacionesTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                                            Text="Grabar modif." CssClass="button3"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Nuevo registro" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblGasto" runat="server" Text="ID: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:Label ID="lblGastoID" runat="server" Text='<%# Eval("GastoID") %>' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblFechaRecepcion" runat="server" Text="Recepción: "></asp:Label>
                                            </td>
                                            <td class="pf_input2">
                                                <asp:TextBox ID="FechaRecepcionTextBox" runat="server" Width="70px" Text='<%# Bind("FechaRecepcion","{0:dd/MM/yyyy}") %>'
                                                    ToolTip="Fecha de recepción del gasto"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_FechaRecepcionTextBox" runat="server"
                                                    ControlToValidate="FechaRecepcionTextBox" Display="Dynamic" ErrorMessage="La fecha de recepción no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_FechaRecepcionTextBox" runat="server" ControlToValidate="FechaRecepcionTextBox"
                                                    Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                                                    Operator="DataTypeCheck">*</asp:CompareValidator>
                                                <%--<cc1:MaskedEditExtender ID="MaskedEditExtendertxt_FechaRecepcionTextBox" runat="server"
                                                    TargetControlID="FechaRecepcionTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                                                <asp:ImageButton ID="ImageButton_FechaRecepcionTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                                                    Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                                                <cc1:CalendarExtender ID="CalendarExtender_FechaRecepcionTextBox" runat="server" TargetControlID="FechaRecepcionTextBox"
                                                    PopupButtonID="ImageButton_FechaRecepcionTextBox" Format="dd/MM/yyyy" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblFechaEmision" runat="server" Text="Emisión: "></asp:Label>
                                            </td>
                                            <td class="pf_input2">
                                                <asp:TextBox ID="FechaEmisionTextBox" runat="server" Width="70px" Text='<%# Bind("FechaEmision","{0:dd/MM/yyyy}") %>'
                                                    ToolTip="Fecha de emisión de la factura"></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_FechaEmisionTextBox" runat="server" ControlToValidate="FechaEmisionTextBox"
                                                    Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                                                    Operator="DataTypeCheck">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_FechaEmisionTextBox" runat="server" ControlToValidate="FechaEmisionTextBox"
                                                    Display="Dynamic" ErrorMessage="La fecha de emisión debe ser inferior o igual a la fecha de recepción" Type="Date"
                                                    Operator="LessThanEqual" ControlToCompare="FechaRecepcionTextBox">*</asp:CompareValidator>
                                                <%--<cc1:MaskedEditExtender ID="MaskedEditExtender_FechaEmisionTextBox" runat="server"
                                                    TargetControlID="FechaEmisionTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                                                <asp:ImageButton ID="ImageButton_FechaEmisionTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                                                    Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                                                <cc1:CalendarExtender ID="CalendarExtender_FechaEmisionTextBox" runat="server" TargetControlID="FechaEmisionTextBox"
                                                    PopupButtonID="ImageButton_FechaEmisionTextBox" Format="dd/MM/yyyy" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblProveedor" runat="server" Text="Proveedor: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlProveedorID" runat="server" Width="200px" ToolTip="Nombre del proveedor"
                                                    DataSourceID="odsProveedores" DataTextField="Denominacion" DataValueField="ProveedorID"
                                                    SelectedValue='<%# Bind("ProveedorID") %>' AppendDataBoundItems="true">
                                                    <asp:ListItem Value="">Sin proveedor</asp:ListItem>
                                                </asp:DropDownList>
                                                <asp:ObjectDataSource ID="odsProveedores" runat="server"
                                                    SelectMethod="GetProveedoresActivos" TypeName="REFOR.DL.ProveedorRepository" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblFactura" runat="server" Text="Factura/ejercicio: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="NumeroTextBox" runat="server" MaxLength="6" Width="60px"
                                                    ToolTip="Número de factura del proveedor" Text='<%# Bind("Numero") %>'></asp:TextBox>
                                                /
                                                <asp:TextBox ID="AñoFiscalTextBox" runat="server" MaxLength="4" Width="40px"
                                                    ToolTip="Año de emisión de la factura" Text='<%# Bind("AñoFiscal") %>'></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_NumeroTextBox" runat="server" ErrorMessage="El número de la factura no es correcto"
                                                    ControlToValidate="NumeroTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Integer">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator_AñoFiscalTextBox" runat="server" ErrorMessage="El ejercicio de la factura no es correcto"
                                                    ControlToValidate="AñoFiscalTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Integer">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_NumeroTextBox" runat="server" ErrorMessage="El número de la factura no es correcto"
                                                    ControlToValidate="NumeroTextBox" Display="Dynamic" Operator="GreaterThan" Type="Integer" ValueToCompare="0">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_AñoFiscalTextBox" runat="server" ErrorMessage="El ejercicio de la factura no es correcto"
                                                    ControlToValidate="AñoFiscalTextBox" Display="Dynamic" Operator="GreaterThan" Type="Integer" ValueToCompare="2013">*</asp:CompareValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDescripcion" runat="server" Text="Descripcion: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="DescripcionTextBox" runat="server" MaxLength="200" Width="580px"
                                                    ToolTip="Descripción del gasto" Text='<%# Bind("Descripcion") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DescripcionTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La descripción del gasto es obligatoria"
                                                    ControlToValidate="DescripcionTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DescripcionTextBox"
                                                    runat="server" ControlToValidate="DescripcionTextBox" Display="Dynamic" ErrorMessage="La descripción del gasto debe tener entre 1 y 200 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,200})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblImporte" runat="server" Text="Importe:" />
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ImporteTextBox" runat="server" Width="120px"
                                                    ToolTip="Importe del gasto" Text='<%# Bind("Importe","{0:N2}") %>'></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_ImporteTextBox" runat="server" ErrorMessage="El importe del gasto no es correcto"
                                                    ControlToValidate="ImporteTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Double">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_ImporteTextBox" runat="server" ErrorMessage="El importe dle gasto a de ser positivo"
                                                    ControlToValidate="ImporteTextBox" Display="Dynamic" Operator="GreaterThan" Type="Double" ValueToCompare="0">*</asp:CompareValidator>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblRubrica" runat="server" Text="Rúbrica: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlRubricaGastoID" runat="server" Width="200px" ToolTip="Rúbrica del gasto"
                                                    DataSourceID="odsRubricas" DataTextField="Descripcion" DataValueField="RubricaGastoID"
                                                    SelectedValue='<%# Bind("RubricaGastoID") %>' />
                                                <asp:ObjectDataSource ID="odsRubricas" runat="server"
                                                    SelectMethod="GetRubricas" TypeName="REFOR.DL.RubricaRepository" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservaciones" runat="server" Text="Observaciones: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones sobre el gasto" Text='<%# Bind("Observaciones") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesTextBox"
                                                    runat="server" ControlToValidate="ObservacionesTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td colspan="2" style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                                            Text="Grabar nuevo" CssClass="button1"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            vacio
                        </ItemTemplate>
                    </asp:FormView>
                    <%--</ContentTemplate>
                </asp:UpdatePanel>--%>
                </td>
            </tr>
        </table>
        <!-- Object DataSource area-->
        <asp:ObjectDataSource ID="odsGeneral" runat="server"
            SelectMethod="GetGastos" TypeName="REFOR.DL.GastoRepository"
            OnDeleted="odsGeneral_Deleted" DeleteMethod="Eliminar">
            <DeleteParameters>
                <asp:Parameter Name="GastoID" Type="Int32" />
            </DeleteParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="txtFilter" Name="Descripcion" PropertyName="Text" Type="String" />
                <asp:ControlParameter ControlID="ddlOrdenar" Name="OrdenarPor" PropertyName="SelectedValue" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsDetalle" runat="server" SelectMethod="ObtenerPorID"
            TypeName="REFOR.DL.GastoRepository" OnInserted="odsDetalle_Inserted"
            OnUpdated="odsDetalle_Updated" InsertMethod="Insertar" UpdateMethod="Actualizar">
            <InsertParameters>
                <asp:Parameter Name="FechaRecepcion" Type="DateTime" />
                <asp:Parameter Name="FechaEmision" Type="DateTime" />
                <asp:Parameter Name="ProveedorID" Type="Int32" />
                <asp:Parameter Name="AñoFiscal" Type="Int32" />
                <asp:Parameter Name="Numero" Type="Int32" />
                <asp:Parameter Name="Descripcion" Type="String" />
                <asp:Parameter Name="Importe" Type="Decimal" />
                <asp:Parameter Name="RubricaGastoID" Type="Int32" />
                <asp:Parameter Name="Observaciones" Type="String" />
            </InsertParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="GastoID" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="GastoID" Type="Int32" />
                <asp:Parameter Name="FechaRecepcion" Type="DateTime" />
                <asp:Parameter Name="FechaEmision" Type="DateTime" />
                <asp:Parameter Name="ProveedorID" Type="Int32" />
                <asp:Parameter Name="AñoFiscal" Type="Int32" />
                <asp:Parameter Name="Numero" Type="Int32" />
                <asp:Parameter Name="Descripcion" Type="String" />
                <asp:Parameter Name="Importe" Type="Decimal" />
                <asp:Parameter Name="RubricaGastoID" Type="Int32" />
                <asp:Parameter Name="Observaciones" Type="String" />
            </UpdateParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
