﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="GestionLineasFactura.aspx.cs" Inherits="REFOR.Web.Gestion.GestionLineasFactura"
    Title="GESREF. Gestión de lineas de facturas" Theme="ReforThemes" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<%@ OutputCache Duration="1" VaryByParam="none" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td class="pf_labelMessage" style="width: 1099px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
            <tr>
                <td class="pf_title">Gestión de lineas de facturas sin emitir
                </td>
            </tr>
        </table>
        <!-- START SEARCH: Search area -->
        <table id="SearchTable" class="pf_field" runat="server">
            <%--style="margin-top: 10px; margin-bottom: 10px"--%>
            <tr>
                <td class="pf_label">
                    <asp:Label ID="lblFilter" runat="server" Text="Descripción: "></asp:Label>
                </td>
                <td class="pf_input2">
                    <asp:TextBox ID="txtFilter" runat="server" ToolTip="Filtro a aplicar en la rejilla"
                        Width="220px" MaxLength="30"></asp:TextBox>
                </td>
                <td class="pf_label" style="text-align: center; width: 70px">
                    <asp:Button ID="btnFilter" runat="server" CssClass="button1" Text="Filtrar" ToolTip="Aplicar filtro"
                        OnClick="btnFilter_Click" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 300px">
                    <asp:Label ID="lblOrdenarPor" runat="server" Text="Ordernar por:  "></asp:Label>
                    <asp:DropDownList ID="ddlOrdenar" runat="server" AutoPostBack="True" OnSelectedIndexChanged="btnFilter_Click">
                        <asp:ListItem Value="facturaID">ID</asp:ListItem>
                        <asp:ListItem Value="fechaEmision">Fecha emisión</asp:ListItem>
                        <asp:ListItem Value="cliente">Cliente</asp:ListItem>
                        <asp:ListItem Value="emitida">Emitida</asp:ListItem>
                        <asp:ListItem Selected="True" Value="descripcion">Descripción</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <!-- Gridview Area -->
        <table id="GridViewTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView1" runat="server" AllowPaging="True"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataSourceID="odsGeneral" DataKeyNames="FacturaID" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged" CellPadding="5">
                        <Columns>
                            <asp:CommandField ShowSelectButton="True" HeaderText="Acci&#243;n"
                                ButtonType="Image" SelectImageUrl="~/img/EDIT.BMP"
                                SelectText="Cambiar">
                                <ItemStyle Width="50px" Wrap="False" />
                            </asp:CommandField>
                            <asp:BoundField DataField="FacturaID" HeaderText="ID" ReadOnly="True" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="FechaEmision" HeaderText="Emisión" DataFormatString="{0:dd/MM/yyyy}">
                                <ControlStyle Width="60px" />
                                <ItemStyle HorizontalAlign="Center" Width="70px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Cliente.Denominacion" HeaderText="Cliente">
                                <ControlStyle Width="150px" />
                                <ItemStyle HorizontalAlign="Left" Width="160px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Descripcion" HeaderText="Descripción">
                                <ControlStyle Width="400px" />
                                <ItemStyle HorizontalAlign="Left" Width="410px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ImporteTotal" HeaderText="Importe" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="LineasFactura.Count" HeaderText="Lineas" DataFormatString="{0:N0}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ImportePagado" HeaderText="Pagado" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="TipoIVA" HeaderText="IVA %" DataFormatString="{0:N2}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Right" Width="40px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen facturas no emitidas para mostrar con el filtro actual
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:GridView ID="GridViewUnico" runat="server"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataSourceID="odsUnaFactura" DataKeyNames="FacturaID" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged"
                        CellPadding="5" Visible="False" OnRowCommand="GridViewUnico_RowCommand">
                        <Columns>
                            <asp:ButtonField ButtonType="Button" CommandName="NuevaLinea" HeaderText="Nueva" ShowHeader="True" Text="Añadir línea">
                                <ControlStyle BackColor="#99CCFF" BorderColor="#3399FF" BorderStyle="Ridge" />
                            </asp:ButtonField>
                            <asp:BoundField DataField="FacturaID" HeaderText="ID" ReadOnly="True" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="FechaEmision" HeaderText="Emisión" DataFormatString="{0:dd/MM/yyyy}">
                                <ControlStyle Width="60px" />
                                <ItemStyle HorizontalAlign="Center" Width="70px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Cliente.Denominacion" HeaderText="Cliente">
                                <ControlStyle Width="150px" />
                                <ItemStyle HorizontalAlign="Left" Width="160px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Descripcion" HeaderText="Descripción">
                                <ControlStyle Width="400px" />
                                <ItemStyle HorizontalAlign="Left" Width="410px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ImporteTotal" HeaderText="Importe" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="LineasFactura.Count" HeaderText="Lineas" DataFormatString="{0:N0}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ImportePagado" HeaderText="Pagado" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="TipoIVA" HeaderText="IVA %" DataFormatString="{0:N2}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Right" Width="40px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            Factura no emitida inexistente
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <table id="FormViewTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:FormView ID="FormView1" runat="server" DataKeyNames="LineaID" DataSourceID="odsDetalle"
                        OnItemCommand="FormView1_ItemCommand" OnItemInserted="FormView1_ItemInserted"
                        OnItemUpdated="FormView1_ItemUpdated" OnItemInserting="FormView1_ItemInserting"
                        OnItemUpdating="FormView1_ItemUpdating" OnDataBound="FormView1_DataBound">
                        <EditItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Modificación linea" Width="1100px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_input4" style="width: 70px">Orden
                                            </td>
                                            <td class="pf_input4" style="width: 110px">Importe
                                            </td>
                                            <td class="pf_input4" style="width: 590px">Texto
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_input4" style="width: 70px">
                                                <asp:TextBox ID="LineaIDTextBox1" runat="server" Text='<%# Eval("LineaID") %>' Visible="false" />
                                                <asp:TextBox ID="OrdenTextBox" runat="server" MaxLength="6" Width="60px"
                                                    ToolTip="Orden de la linea dentro de la factura" Text='<%# Bind("Orden") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_OrdenTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="El orden de la linea es obligatorio"
                                                    ControlToValidate="OrdenTextBox">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_OrdenTextBox" runat="server" ErrorMessage="El orden de la linea no es un número correcto"
                                                    ControlToValidate="OrdenTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Integer">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_OrdenTextBox" runat="server" ErrorMessage="El orden de la linea a de ser positivo"
                                                    ControlToValidate="OrdenTextBox" Display="Dynamic" Operator="GreaterThan" Type="Integer" ValueToCompare="0">*</asp:CompareValidator>
                                            </td>
                                            <td class="pf_input4" style="width: 110px">
                                                <asp:TextBox ID="ImporteTextBox" runat="server" MaxLength="9" Width="100px"
                                                    ToolTip="Importe a incluir en la factura" Text='<%# Bind("Importe","{0:0.00}") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_ImporteTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La cantidad obligatoria"
                                                    ControlToValidate="ImporteTextBox">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_ImporteTextBox" runat="server" ErrorMessage="La cantidad no es un número correcto"
                                                    ControlToValidate="ImporteTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Double">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_ImporteTextBox" runat="server" ErrorMessage="La cantidad a de ser positiva"
                                                    ControlToValidate="ImporteTextBox" Display="Dynamic" Operator="GreaterThan" Type="Double" ValueToCompare="0">*</asp:CompareValidator>
                                            </td>
                                            <td class="pf_input4" style="width: 590px">
                                                <asp:TextBox ID="TextoTextBox" runat="server" MaxLength="100" Width="580px"
                                                    ToolTip="Descripción del item" Text='<%# Bind("Texto") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_TextoTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="El texto es obligatorio"
                                                    ControlToValidate="TextoTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_TextoTextBox"
                                                    runat="server" ControlToValidate="TextoTextBox" Display="Dynamic" ErrorMessage="El texto debe tener entre 5 y 100 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{5,100})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                    </table>
                                    <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                        <tr>
                                            <td style="width: 84%; text-align: center">
                                                <asp:LinkButton ID="LinkButton2" runat="server" CausesValidation="True" CommandName="Update"
                                                    Text="Grabar modif." CssClass="button3"></asp:LinkButton>
                                                <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                                    Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Nueva linea" Width="1100px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_input4" style="width: 110px">Importe
                                            </td>
                                            <td class="pf_input4" style="width: 590px">Texto
                                            </td>
                                        </tr>
                                            <td class="pf_input4" style="width: 110px">
                                                <asp:TextBox ID="ImporteTextBox" runat="server" MaxLength="9" Width="100px"
                                                    ToolTip="Importe a incluir en la factura" Text='<%# Bind("Importe","{0:0.00}") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_ImporteTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La cantidad obligatoria"
                                                    ControlToValidate="ImporteTextBox">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_ImporteTextBox" runat="server" ErrorMessage="La cantidad no es un número correcto"
                                                    ControlToValidate="ImporteTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Double">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_ImporteTextBox" runat="server" ErrorMessage="La cantidad a de ser positiva"
                                                    ControlToValidate="ImporteTextBox" Display="Dynamic" Operator="GreaterThan" Type="Double" ValueToCompare="0">*</asp:CompareValidator>
                                            </td>
                                            <td class="pf_input4" style="width: 590px">
                                                <asp:TextBox ID="TextoTextBox" runat="server" MaxLength="100" Width="580px"
                                                    ToolTip="Descripción del item" Text='<%# Bind("Texto") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_TextoTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="El texto es obligatorio"
                                                    ControlToValidate="TextoTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_TextoTextBox"
                                                    runat="server" ControlToValidate="TextoTextBox" Display="Dynamic" ErrorMessage="El texto debe tener entre 5 y 100 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{5,100})$">*</asp:RegularExpressionValidator>
                                            </td>
                                    </table>
                                    <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                        <tr>
                                            <td colspan="2" style="width: 84%; text-align: center">
                                                <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="True" CommandName="Insert"
                                                    Text="Grabar nuevo" CssClass="button1"></asp:LinkButton>
                                                <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                                    Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            vacio
                        </ItemTemplate>
                    </asp:FormView>
                </td>
            </tr>
        </table>
        <table id="LineasTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView2" runat="server"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="None" BorderWidth="1px"
                        GridLines="Horizontal" DataSourceID="odsGeneralLineas" DataKeyNames="LineaID" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView2_SelectedIndexChanged" OnRowDataBound="GridView2_RowDataBound"
                        OnPreRender="GridView2_PreRender" OnRowDeleted="GridView2_RowDeleted" OnRowDeleting="GridView2_RowDeleting"
                        CellPadding="5" Visible="False">
                        <Columns>
                            <asp:CommandField ShowDeleteButton="True" ShowSelectButton="True" HeaderText="Acci&#243;n"
                                ButtonType="Image" DeleteImageUrl="~/img/zap.bmp" DeleteText="Borrar" SelectImageUrl="~/img/EDIT.BMP"
                                SelectText="Cambiar">
                                <ItemStyle Width="50px" Wrap="False" />
                            </asp:CommandField>
                            <asp:BoundField DataField="Orden" HeaderText="Orden" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Right" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Importe" HeaderText="Importe" DataFormatString="{0:N2}">
                                <ControlStyle Width="70px" />
                                <ItemStyle HorizontalAlign="Right" Width="80px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Texto" HeaderText="Concepto" HeaderStyle-HorizontalAlign="Left">
                                <ControlStyle Width="400px" />
                                <HeaderStyle HorizontalAlign="Left"></HeaderStyle>
                                <ItemStyle HorizontalAlign="Left" Width="410px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="4px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen lineas de factura para mostrar
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <!-- Object DataSource area-->
        <asp:ObjectDataSource ID="odsGeneral" runat="server"
            SelectMethod="GetFacturasSinEmitirConLineas" TypeName="REFOR.DL.FacturaRepository">
            <SelectParameters>
                <asp:ControlParameter ControlID="txtFilter" Name="Descripcion" PropertyName="Text" Type="String" />
                <asp:ControlParameter ControlID="ddlOrdenar" Name="OrdenarPor" PropertyName="SelectedValue" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsUnaFactura" runat="server"
            SelectMethod="GetUnaFacturaSinEmitirConLineas" TypeName="REFOR.DL.FacturaRepository">
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="FacturaID" PropertyName="SelectedValue" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsGeneralLineas" runat="server"
            SelectMethod="GetLineasFactura" TypeName="REFOR.DL.LineaFacturaRepository" DeleteMethod="Eliminar" OnDeleted="odsGeneralLineas_Deleted">
            <DeleteParameters>
                <asp:Parameter Name="LineaID" Type="Int32" />
            </DeleteParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="FacturaID" PropertyName="SelectedValue" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsDetalle" runat="server" SelectMethod="ObtenerPorID"
            TypeName="REFOR.DL.LineaFacturaRepository" OnInserted="odsDetalle_Inserted"
            OnUpdated="odsDetalle_Updated" InsertMethod="Insertar" UpdateMethod="Actualizar">
            <InsertParameters>
                <asp:Parameter Name="FacturaID" Type="Int32" />
                <asp:Parameter Name="Texto" Type="String" />
                <asp:Parameter Name="Importe" Type="Decimal" />
            </InsertParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView2" Name="LineaID" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="LineaID" Type="Int32" />
                <asp:Parameter Name="Orden" Type="Int32" />
                <asp:Parameter Name="Texto" Type="String" />
                <asp:Parameter Name="Importe" Type="Decimal" />
            </UpdateParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
