﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="GestionPresupuestos.aspx.cs" Inherits="REFOR.Web.Gestion.GestionPresupuestos"
    Title="GESREF. Gestión de presupuestos" Theme="ReforThemes" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<%@ OutputCache Duration="1" VaryByParam="none" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td class="pf_labelMessage" style="width: 1099px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
            <tr>
                <td class="pf_title">Gestión de presupuestos
                </td>
            </tr>
        </table>
        <!-- START SEARCH: Search area -->
        <table id="SearchTable" class="pf_field" runat="server">
            <%--style="margin-top: 10px; margin-bottom: 10px"--%>
            <tr>
                <td class="pf_label">
                    <asp:Label ID="lblFilter" runat="server" Text="Descripción: "></asp:Label>
                </td>
                <td class="pf_input2">
                    <asp:TextBox ID="txtFilter" runat="server" ToolTip="Filtro a aplicar en la rejilla"
                        Width="220px" MaxLength="30"></asp:TextBox>
                </td>
                <td class="pf_label" style="text-align: center; width: 70px">
                    <asp:Button ID="btnFilter" runat="server" CssClass="button1" Text="Filtrar" ToolTip="Aplicar filtro"
                        OnClick="btnFilter_Click" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 150px">
                    <asp:Button ID="btnAñadirRegistro" runat="server" CssClass="button3" OnClick="btnAñadirRegistro_Click"
                        Text="Añadir presupuesto" ToolTip="Añadir un nuevo registro de presupuesto" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 300px">
                    <asp:Label ID="lblOrdenarPor" runat="server" Text="Ordernar por:  "></asp:Label>
                    <asp:DropDownList ID="ddlOrdenar" runat="server" AutoPostBack="True" OnSelectedIndexChanged="btnFilter_Click">
                        <asp:ListItem Value="presupuestoID">ID</asp:ListItem>
                        <asp:ListItem Value="fechaCreacion">Fecha creación</asp:ListItem>
                        <asp:ListItem Value="cliente">Cliente</asp:ListItem>
                        <asp:ListItem Value="aceptado">Aceptado</asp:ListItem>
                        <asp:ListItem Selected="True" Value="descripcion">Descripción</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <!-- Gridview Area -->
        <table id="GridViewTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView1" runat="server" AllowPaging="True"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataSourceID="odsGeneral" DataKeyNames="PresupuestoID" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged" OnRowDataBound="GridView1_RowDataBound"
                        OnPreRender="GridView1_PreRender" OnRowDeleted="GridView1_RowDeleted" OnRowDeleting="GridView1_RowDeleting"
                        CellPadding="5">
                        <Columns>
                            <asp:CommandField ShowDeleteButton="True" ShowSelectButton="True" HeaderText="Acci&#243;n"
                                ButtonType="Image" DeleteImageUrl="~/img/zap.bmp" DeleteText="Borrar" SelectImageUrl="~/img/EDIT.BMP"
                                SelectText="Cambiar">
                                <ItemStyle Width="50px" Wrap="False" />
                            </asp:CommandField>
                            <asp:BoundField DataField="PresupuestoID" HeaderText="ID" ReadOnly="True" DataFormatString="{0:N0}">
                                <ControlStyle Width="30px" />
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="FechaCreacion" HeaderText="Creación" DataFormatString="{0:dd/MM/yyyy}">
                                <ControlStyle Width="60px" />
                                <ItemStyle HorizontalAlign="Center" Width="70px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Cliente.Denominacion" HeaderText="Cliente">
                                <ControlStyle Width="150px" />
                                <ItemStyle HorizontalAlign="Left" Width="160px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Descripcion" HeaderText="Descripción">
                                <ControlStyle Width="200px" />
                                <ItemStyle HorizontalAlign="Left" Width="210px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Aceptado" HeaderText="Aceptado">
                                <ControlStyle Width="40px" />
                                <ItemStyle HorizontalAlign="Center" Width="50px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Facturado" HeaderText="Facturado">
                                <ControlStyle Width="40px" />
                                <ItemStyle HorizontalAlign="Center" Width="50px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Importe" HeaderText="Importe" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Beneficio" HeaderText="Beneficio" DataFormatString="{0:N2}">
                                <ControlStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" Width="60px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen presupuestos para mostrar con el filtro actual
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <table id="BodyTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:FormView ID="FormView1" runat="server" DataKeyNames="PresupuestoID" DataSourceID="odsDetalle"
                        OnItemCommand="FormView1_ItemCommand" OnItemInserted="FormView1_ItemInserted"
                        OnItemUpdated="FormView1_ItemUpdated" OnItemInserting="FormView1_ItemInserting"
                        OnItemUpdating="FormView1_ItemUpdating" OnDataBound="FormView1_DataBound">
                        <EditItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Modificación" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblPresupuesto" runat="server" Text="ID: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:Label ID="lblPresupuestoID" runat="server" Text='<%# Eval("PresupuestoID") %>' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblCliente" runat="server" Text="Cliente: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlClienteID" runat="server" Width="200px" ToolTip="Cliente del presupuesto"
                                                    DataSourceID="odsClientes" DataTextField="Denominacion" DataValueField="ClienteID"
                                                    SelectedValue='<%# Bind("ClienteID") %>' AppendDataBoundItems="true">
                                                    <asp:ListItem Value="">Seleccione cliente</asp:ListItem>
                                                </asp:DropDownList>
                                                <asp:ObjectDataSource ID="odsClientes" runat="server"
                                                    SelectMethod="GetClientes" TypeName="REFOR.DL.ClienteRepository" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_ddlClienteID" runat="server" Display="Dynamic" 
                                                    ControlToValidate="ddlClienteID" ErrorMessage="El cliente del presupuesto no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CustomValidator ID="CustomValidator_ddlClienteID" runat="server" ControlToValidate="ddlClienteID" 
                                                    Display="Dynamic" ErrorMessage="Error" OnServerValidate="CustomValidator_ddlClienteID_ServerValidate">*</asp:CustomValidator>
                                            </td>
                                        </tr>
                                        <tr id="trVerificacion" runat="server" visible="false">
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblVerificacion" runat="server" Text="Verificación: " ForeColor="Red"></asp:Label>
                                            </td>
                                            <td class="pf_labelinput2" style="width: 730px">
                                                <asp:CheckBox ID="VerificacionCheckBox" runat="server" Checked="false" Text="  Verifique que desea utilizar un cliente que no se encuentra activo"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblFechaCreacion" runat="server" Text="Creación: "></asp:Label>
                                            </td>
                                            <td class="pf_input2">
                                                <asp:TextBox ID="FechaCreacionTextBox" runat="server" Width="70px" Text='<%# Bind("FechaCreacion","{0:dd/MM/yyyy}") %>'
                                                    ToolTip="Fecha de creación del presupuesto"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_FechaCreacionTextBox" runat="server"
                                                    ControlToValidate="FechaCreacionTextBox" Display="Dynamic" ErrorMessage="La fecha de creación no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_FechaCreacionTextBox" runat="server" ControlToValidate="FechaCreacionTextBox"
                                                    Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                                                    Operator="DataTypeCheck">*</asp:CompareValidator>
                                                <%-- <cc1:MaskedEditExtender ID="MaskedEditExtendertxt_FechaCreacionTextBox" runat="server"
                                                    TargetControlID="FechaCreacionTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                                                <asp:ImageButton ID="ImageButton_FechaCreacionTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                                                    Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                                                <cc1:CalendarExtender ID="CalendarExtender_FechaCreacionTextBox" runat="server" TargetControlID="FechaCreacionTextBox"
                                                    PopupButtonID="ImageButton_FechaCreacionTextBox" Format="dd/MM/yyyy" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblValidoHasta" runat="server" Text="Valido hasta: "></asp:Label>
                                            </td>
                                            <td class="pf_input2">
                                                <asp:TextBox ID="ValidoHastaTextBox" runat="server" Width="70px" Text='<%# Bind("ValidoHasta","{0:dd/MM/yyyy}") %>'
                                                    ToolTip="Presupuesto valido hasta"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_ValidoHastaTextBox" runat="server"
                                                    ControlToValidate="ValidoHastaTextBox" Display="Dynamic" ErrorMessage="La fecha de validez puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_ValidoHastaTextBox" runat="server" ControlToValidate="ValidoHastaTextBox"
                                                    Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                                                    Operator="DataTypeCheck">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_ValidoHastaTextBox" runat="server" ControlToValidate="ValidoHastaTextBox"
                                                    Display="Dynamic" ErrorMessage="La validez del presupuesto superior a la fecha de creación" Type="Date"
                                                    Operator="GreaterThan" ControlToCompare="FechaCreacionTextBox">*</asp:CompareValidator>
                                                <%--<cc1:MaskedEditExtender ID="MaskedEditExtender_ValidoHastaTextBox" runat="server"
                                                    TargetControlID="ValidoHastaTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                                                <asp:ImageButton ID="ImageButton_ValidoHastaTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                                                    Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                                                <cc1:CalendarExtender ID="CalendarExtender_ValidoHastaTextBox" runat="server" TargetControlID="ValidoHastaTextBox"
                                                    PopupButtonID="ImageButton_ValidoHastaTextBox" Format="dd/MM/yyyy" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDescripcion" runat="server" Text="Descripcion: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="DescripcionTextBox" runat="server" MaxLength="500" Width="580px"
                                                    ToolTip="Descripción del presupuesto" Text='<%# Bind("Descripcion") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DescripcionTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La descripcion del presupuesto es obligatoria"
                                                    ControlToValidate="DescripcionTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DescripcionTextBox"
                                                    runat="server" ControlToValidate="DescripcionTextBox" Display="Dynamic" ErrorMessage="La descripcion del presupuesto debe tener entre 1 y 500 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,500})$">*</asp:RegularExpressionValidator>
                                                <%--\u0021-\u0025 -> ! a %, incluye multitud de signos; excluimos \u0026 &
                                                \u0027-\u003b -> ' a ; excluimos \u003c < y \u003f >
                                                \u003d -> =      
                                                \u003f-\u007e -> ? a ~, incluye todas las letras no acentuadas, numeros y algunos signos
                                                \u00a1-\u00d6 -> ¡ a Ö, letras acentuadas y extranjeras
                                                \u00d8-\u00f6 -> Ø a ö, letras acentuadas y extranjeras
                                                \u00f8-\u017f -> ø a ſ, letras acentuadas y extranjeras
                                                 \s -> espacio --%> 
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblDescuentoAplicado" runat="server" Text="Descuento: "></asp:Label>
                                            </td>
                                            <td class="pf_input2" style="width: 709px">
                                                <asp:TextBox ID="DescuentoAplicadoTextBox" runat="server" Text='<%# Bind("DescuentoAplicado","{0:F0}") %>' Width="30px"
                                                    MaxLength="2"></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_DescuentoAplicadoTextBox" runat="server" ErrorMessage="El importe no es un número correcto" ControlToValidate="DescuentoAplicadoTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Integer">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator1_DescuentoAplicadoTextBox" runat="server" ErrorMessage="El descuento debe ser positivo o cero" ControlToValidate="DescuentoAplicadoTextBox" Display="Dynamic" Operator="GreaterThanEqual" Type="Integer" ValueToCompare="0">*</asp:CompareValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservacionesCliente" runat="server" Text="Observaciones cliente: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesClienteTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones para el cliente sobre el presupuesto" Text='<%# Bind("ObservacionesCliente") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesClienteTextBox"
                                                    runat="server" ControlToValidate="ObservacionesClienteTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservacionesInternas" runat="server" Text="Observaciones internas: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesInternasTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones internas sobre el presupuesto" Text='<%# Bind("ObservacionesInternas") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesInternasTextBox"
                                                    runat="server" ControlToValidate="ObservacionesInternasTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>

                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                                            Text="Grabar modif." CssClass="button3"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Nuevo registro" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblCliente" runat="server" Text="Cliente: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:DropDownList ID="ddlClienteID" runat="server" Width="200px" ToolTip="Cliente del presupuesto"
                                                    DataSourceID="odsClientes" DataTextField="Denominacion" DataValueField="ClienteID"
                                                    SelectedValue='<%# Bind("ClienteID") %>' AppendDataBoundItems="true">
                                                    <asp:ListItem Value="">Seleccione cliente</asp:ListItem>
                                                </asp:DropDownList>
                                                <asp:ObjectDataSource ID="odsClientes" runat="server"
                                                    SelectMethod="GetClientesActivos" TypeName="REFOR.DL.ClienteRepository" />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_ddlClienteID" runat="server" Display="Dynamic" 
                                                    ControlToValidate="ddlClienteID" ErrorMessage="El cliente del presupuesto no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblFechaCreacion" runat="server" Text="Creación: "></asp:Label>
                                            </td>
                                            <td class="pf_input2">
                                                <asp:TextBox ID="FechaCreacionTextBox" runat="server" Width="70px" Text='<%# Bind("FechaCreacion","{0:dd/MM/yyyy}") %>'
                                                    ToolTip="Fecha de creación del presupuesto"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_FechaCreacionTextBox" runat="server"
                                                    ControlToValidate="FechaCreacionTextBox" Display="Dynamic" ErrorMessage="La fecha de creación no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_FechaCreacionTextBox" runat="server" ControlToValidate="FechaCreacionTextBox"
                                                    Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                                                    Operator="DataTypeCheck">*</asp:CompareValidator>
                                                <%-- <cc1:MaskedEditExtender ID="MaskedEditExtendertxt_FechaCreacionTextBox" runat="server"
                                                    TargetControlID="FechaCreacionTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                                                <asp:ImageButton ID="ImageButton_FechaCreacionTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                                                    Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                                                <cc1:CalendarExtender ID="CalendarExtender_FechaCreacionTextBox" runat="server" TargetControlID="FechaCreacionTextBox"
                                                    PopupButtonID="ImageButton_FechaCreacionTextBox" Format="dd/MM/yyyy" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblValidoHasta" runat="server" Text="Valido hasta: "></asp:Label>
                                            </td>
                                            <td class="pf_input2">
                                                <asp:TextBox ID="ValidoHastaTextBox" runat="server" Width="70px" Text='<%# Bind("ValidoHasta","{0:dd/MM/yyyy}") %>'
                                                    ToolTip="Presupuesto valido hasta"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_ValidoHastaTextBox" runat="server"
                                                    ControlToValidate="ValidoHastaTextBox" Display="Dynamic" ErrorMessage="La fecha de validez puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_ValidoHastaTextBox" runat="server" ControlToValidate="ValidoHastaTextBox"
                                                    Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                                                    Operator="DataTypeCheck">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator2_ValidoHastaTextBox" runat="server" ControlToValidate="ValidoHastaTextBox"
                                                    Display="Dynamic" ErrorMessage="La validez del presupuesto superior a la fecha de creación" Type="Date"
                                                    Operator="GreaterThan" ControlToCompare="FechaCreacionTextBox">*</asp:CompareValidator>
                                                <%--<cc1:MaskedEditExtender ID="MaskedEditExtender_ValidoHastaTextBox" runat="server"
                                                    TargetControlID="ValidoHastaTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                                                <asp:ImageButton ID="ImageButton_ValidoHastaTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                                                    Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                                                <cc1:CalendarExtender ID="CalendarExtender_ValidoHastaTextBox" runat="server" TargetControlID="ValidoHastaTextBox"
                                                    PopupButtonID="ImageButton_ValidoHastaTextBox" Format="dd/MM/yyyy" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblDescripcion" runat="server" Text="Descripcion: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="DescripcionTextBox" runat="server" MaxLength="500" Width="580px"
                                                    ToolTip="Descripción del presupuesto" Text='<%# Bind("Descripcion") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_DescripcionTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="La descripcion del presupuesto es obligatoria"
                                                    ControlToValidate="DescripcionTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_DescripcionTextBox"
                                                    runat="server" ControlToValidate="DescripcionTextBox" Display="Dynamic" ErrorMessage="La descripcion del presupuesto debe tener entre 1 y 500 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,500})$">*</asp:RegularExpressionValidator>
                                                <%--\u0021-\u0025 -> ! a %, incluye multitud de signos; excluimos \u0026 &
                                                \u0027-\u003b -> ' a ; excluimos \u003c < y \u003f >
                                                \u003d -> =      
                                                \u003f-\u007e -> ? a ~, incluye todas las letras no acentuadas, numeros y algunos signos
                                                \u00a1-\u00d6 -> ¡ a Ö, letras acentuadas y extranjeras
                                                \u00d8-\u00f6 -> Ø a ö, letras acentuadas y extranjeras
                                                \u00f8-\u017f -> ø a ſ, letras acentuadas y extranjeras
                                                 \s -> espacio --%> 
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblDescuentoAplicado" runat="server" Text="Descuento: "></asp:Label>
                                            </td>
                                            <td class="pf_input2" style="width: 709px">
                                                <asp:TextBox ID="DescuentoAplicadoTextBox" runat="server" Text='<%# Bind("DescuentoAplicado","{0:F0}") %>' Width="30px"
                                                    MaxLength="2"></asp:TextBox>
                                                <asp:CompareValidator ID="CompareValidator_DescuentoAplicadoTextBox" runat="server" ErrorMessage="El importe no es un número correcto" ControlToValidate="DescuentoAplicadoTextBox" Display="Dynamic" Operator="DataTypeCheck" Type="Integer">*</asp:CompareValidator>
                                                <asp:CompareValidator ID="CompareValidator1_DescuentoAplicadoTextBox" runat="server" ErrorMessage="El descuento debe ser positivo o cero" ControlToValidate="DescuentoAplicadoTextBox" Display="Dynamic" Operator="GreaterThanEqual" Type="Integer" ValueToCompare="0">*</asp:CompareValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservacionesCliente" runat="server" Text="Observaciones cliente: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesClienteTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones para el cliente sobre el presupuesto" Text='<%# Bind("ObservacionesCliente") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesClienteTextBox"
                                                    runat="server" ControlToValidate="ObservacionesClienteTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblObservacionesInternas" runat="server" Text="Observaciones internas: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="ObservacionesInternasTextBox" runat="server" Width="600px"
                                                    ToolTip="Observaciones internas sobre el presupuesto" Text='<%# Bind("ObservacionesInternas") %>' Height="99px" TextMode="MultiLine"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_ObservacionesInternasTextBox"
                                                    runat="server" ControlToValidate="ObservacionesInternasTextBox" Display="Dynamic"
                                                    ErrorMessage="Las observaciones deben estar compuesta de caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]*)$">*</asp:RegularExpressionValidator>

                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td colspan="2" style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                                            Text="Grabar nuevo" CssClass="button1"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            vacio
                        </ItemTemplate>
                    </asp:FormView>
                    <%--</ContentTemplate>
                </asp:UpdatePanel>--%>
                </td>
            </tr>
        </table>
        <!-- Object DataSource area-->
        <asp:ObjectDataSource ID="odsGeneral" runat="server"
            SelectMethod="GetPresupuestos" TypeName="REFOR.DL.PresupuestoRepository"
            OnDeleted="odsGeneral_Deleted" DeleteMethod="Eliminar">
            <DeleteParameters>
                <asp:Parameter Name="PresupuestoID" Type="Int32" />
            </DeleteParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="txtFilter" Name="Descripcion" PropertyName="Text" Type="String" />
                <asp:ControlParameter ControlID="ddlOrdenar" Name="OrdenarPor" PropertyName="SelectedValue" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsDetalle" runat="server" SelectMethod="ObtenerPorID"
            TypeName="REFOR.DL.PresupuestoRepository" OnInserted="odsDetalle_Inserted"
            OnUpdated="odsDetalle_Updated" InsertMethod="Insertar" UpdateMethod="Actualizar">
            <InsertParameters>
                <asp:Parameter Name="ClienteID" Type="Int32" />
                <asp:Parameter Name="FechaCreacion" Type="DateTime" />
                <asp:Parameter Name="ValidoHasta" Type="DateTime" />
                <asp:Parameter Name="Descripcion" Type="String" />
                <asp:Parameter Name="ObservacionesCliente" Type="String" />
                <asp:Parameter Name="ObservacionesInternas" Type="String" />
                <asp:Parameter Name="DescuentoAplicado" Type="Int32" />
            </InsertParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="PresupuestoID" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="PresupuestoID" Type="Int32" />
                <asp:Parameter Name="ClienteID" Type="Int32" />
                <asp:Parameter Name="FechaCreacion" Type="DateTime" />
                <asp:Parameter Name="ValidoHasta" Type="DateTime" />
                <asp:Parameter Name="Descripcion" Type="String" />
                <asp:Parameter Name="ObservacionesCliente" Type="String" />
                <asp:Parameter Name="ObservacionesInternas" Type="String" />
                <asp:Parameter Name="DescuentoAplicado" Type="Int32" />
            </UpdateParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
