﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="GestionUsuarios.aspx.cs" Inherits="REFOR.Web.Gestion.GestionUsuarios"
    Title="GESREF. Gestión de usuarios" Theme="ReforThemes" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<%@ OutputCache Duration="1" VaryByParam="none" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td class="pf_labelMessage" style="width: 1099px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
            <tr>
                <td class="pf_title">Gestión de usuarios
                </td>
            </tr>
        </table>
        <!-- START SEARCH: Search area -->
        <table id="SearchTable" class="pf_field" runat="server">
            <%--style="margin-top: 10px; margin-bottom: 10px"--%>
            <tr>
                <td class="pf_label">
                    <asp:Label ID="lblFilter" runat="server" Text="Nombre: "></asp:Label>
                </td>
                <td class="pf_input2">
                    <asp:TextBox ID="txtFilter" runat="server" ToolTip="Filtro a aplicar en la rejilla"
                        Width="220px" MaxLength="30"></asp:TextBox>
                </td>
                <td class="pf_label" style="text-align: center; width: 70px">
                    <asp:Button ID="btnFilter" runat="server" CssClass="button1" Text="Filtrar" ToolTip="Aplicar filtro"
                        OnClick="btnFilter_Click" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 150px">
                    <asp:Button ID="btnAñadirRegistro" runat="server" CssClass="button2" OnClick="btnAñadirRegistro_Click"
                        Text="Añadir usuario" ToolTip="Añadir un nuevo registro de usuario" CausesValidation="false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 300px">
                    <asp:Label ID="lblOrdenarPor" runat="server" Text="Ordernar por:  "></asp:Label>
                    <asp:DropDownList ID="ddlOrdenar" runat="server" AutoPostBack="True" OnSelectedIndexChanged="btnFilter_Click">
                        <asp:ListItem Value="usuarioID">ID</asp:ListItem>
                        <asp:ListItem Value="nombre">Nombre</asp:ListItem>
                        <asp:ListItem Selected="True" Value="alias">Alias</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <table id="Table1" class="pf_field" runat="server">
            <tr>
                <td class="pf_label" style="text-align: center; width: 300px">
                    <asp:Button ID="btnBloquear" runat="server" CssClass="button2"
                        Text="Bloquear todos los usuarios" ToolTip="Bloquear todos los usuarios" CausesValidation="false" Width="265px"
                        OnClick="btnBloquear_Click"
                        OnClientClick="if(!confirm('Atención, se bloqueará el acceso de todos los usuarios excepto adm.\n\n ¿Esta seguro?'))return false" />
                </td>
                <td class="pf_label" style="text-align: center; width: 300px">
                    <asp:Button ID="btnVencerContraseñas" runat="server" CssClass="button2"
                        Text="Vencer todas las contraseñas" ToolTip="Hacer vencer las contraseñas de todos los usuarios" CausesValidation="false" Width="265px"
                        OnClick="btnVencerContraseñas_Click"
                        OnClientClick="if(!confirm('Atención, todas las contraseñas expirarán excepto adm. \n\n ¿Esta seguro?'))return false" />
                </td>
            </tr>
        </table>
        <!-- Gridview Area -->
        <table id="GridViewTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:GridView ID="GridView1" runat="server" AllowPaging="True"
                        AutoGenerateColumns="False" BorderColor="GhostWhite" BorderStyle="Solid" BorderWidth="1px"
                        GridLines="Vertical" DataSourceID="odsGeneral" DataKeyNames="UsuarioID" ForeColor="#333333"
                        OnSelectedIndexChanged="GridView1_SelectedIndexChanged" OnRowDataBound="GridView1_RowDataBound"
                        OnPreRender="GridView1_PreRender" OnRowDeleted="GridView1_RowDeleted" OnRowDeleting="GridView1_RowDeleting"
                        CellPadding="5">
                        <Columns>
                            <asp:CommandField ShowDeleteButton="True" ShowSelectButton="True" HeaderText="Acci&#243;n"
                                ButtonType="Image" DeleteImageUrl="~/img/zap.bmp" DeleteText="Borrar" SelectImageUrl="~/img/EDIT.BMP"
                                SelectText="Cambiar">
                            <ItemStyle Width="50px" Wrap="False" />
                            </asp:CommandField>
                            <asp:BoundField DataField="UsuarioID" HeaderText="ID" ReadOnly="True" DataFormatString="{0:N0}">
                            <ControlStyle Width="30px" />
                            <ItemStyle HorizontalAlign="Center" Width="40px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Alias" HeaderText="Alias">
                            <ControlStyle Width="80px" />
                            <ItemStyle HorizontalAlign="Left" Width="90px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Nombre" HeaderText="Nombre">
                            <ControlStyle Width="200px" />
                            <ItemStyle HorizontalAlign="Left" Width="210px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Activo" HeaderText="Activo">
                            <ControlStyle Width="40px" />
                            <ItemStyle HorizontalAlign="Center" Width="50px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Bloqueado" HeaderText="Bloqueado">
                            <ControlStyle Width="40px" />
                            <ItemStyle HorizontalAlign="Center" Width="50px" />
                            </asp:BoundField>
                        </Columns>
                        <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" Height="5px" />
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="DarkBlue" HorizontalAlign="Center" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                        <EmptyDataTemplate>
                            No existen usuarios para mostrar con el filtro actual
                        </EmptyDataTemplate>
                        <EmptyDataRowStyle BackColor="Red" Font-Bold="True" Font-Size="Large" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <table id="BodyTable" class="pf_field" runat="server">
            <tr>
                <td>
                    <asp:FormView ID="FormView1" runat="server" DataKeyNames="UsuarioID" DataSourceID="odsDetalle"
                        OnItemCommand="FormView1_ItemCommand" OnItemInserted="FormView1_ItemInserted"
                        OnItemUpdated="FormView1_ItemUpdated" OnItemInserting="FormView1_ItemInserting"
                        OnItemUpdating="FormView1_ItemUpdating" OnDataBound="FormView1_DataBound">
                        <EditItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Modificación" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblUsuario" runat="server" Text="ID: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:Label ID="lblUsuarioID" runat="server" Text='<%# Eval("UsuarioID") %>' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblAlias" runat="server" Text="Alias usuario: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="AliasTextBox" runat="server" MaxLength="10" Width="100px"
                                                    ToolTip="Alias del usuario" Text='<%# Bind("Alias") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_AliasTextBox" runat="server" ControlToValidate="AliasTextBox"
                                                    Display="Dynamic" ErrorMessage="El alias del usuario es obligatorio">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_AliasTextBox" runat="server"
                                                    ControlToValidate="AliasTextBox" Display="Dynamic" ErrorMessage="- El alias debe estar compuesto de 3 a 10 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{3,10})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblNombre" runat="server" Text="Nombre: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="NombreTextBox" runat="server" MaxLength="150" Width="580px"
                                                    ToolTip="Nombre del usuario" Text='<%# Bind("Nombre") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_NombreTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="El nombre del usuario es obligatorio"
                                                    ControlToValidate="NombreTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_NombreTextBox"
                                                    runat="server" ControlToValidate="NombreTextBox" Display="Dynamic" ErrorMessage="El nombre del usuario debe tener entre 1 y 150 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,150})$">*</asp:RegularExpressionValidator>
                                                <%--\u0021-\u0025 -> ! a %, incluye multitud de signos; excluimos \u0026 &
                                                \u0027-\u003b -> ' a ; excluimos \u003c < y \u003f >
                                                \u003d -> =      
                                                \u003f-\u007e -> ? a ~, incluye todas las letras no acentuadas, numeros y algunos signos
                                                \u00a1-\u00d6 -> ¡ a Ö, letras acentuadas y extranjeras
                                                \u00d8-\u00f6 -> Ø a ö, letras acentuadas y extranjeras
                                                \u00f8-\u017f -> ø a ſ, letras acentuadas y extranjeras
                                                 \s -> espacio --%></td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label2" style="width: 120px;">
                                                <asp:Label ID="lblFechaCambioContraseñas" runat="server" Text="Cambio contraseña: "></asp:Label>
                                            </td>
                                            <td class="pf_input2">
                                                <asp:TextBox ID="FechaCambioContrasenaTextBox" runat="server" Width="70px" Text='<%# Bind("FechaCambioContraseña","{0:dd/MM/yyyy}") %>'
                                                    ToolTip="Fecha del último cambio de contraseña"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_FechaCambioContrasenaTextBox" runat="server"
                                                    ControlToValidate="FechaCambioContrasenaTextBox" Display="Dynamic"
                                                    ErrorMessage="La fecha de cambio de contraseña no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                                                <asp:CompareValidator ID="CompareValidator_FechaCambioContrasenaTextBox" runat="server" ControlToValidate="FechaCambioContrasenaTextBox"
                                                    Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                                                    Operator="DataTypeCheck">*</asp:CompareValidator>
                                                <%-- <cc1:MaskedEditExtender ID="MaskedEditExtendertxt_FechaRecepcionTextBox" runat="server"
                                                    TargetControlID="FechaRecepcionTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                                                <asp:ImageButton ID="ImageButton_FechaCambioContrasenaTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                                                    Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                                                <cc1:CalendarExtender ID="CalendarExtender_FechaCambioContrasenaTextBox" runat="server"
                                                    TargetControlID="FechaCambioContrasenaTextBox"
                                                    PopupButtonID="ImageButton_FechaCambioContrasenaTextBox" Format="dd/MM/yyyy" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblAdministrador" runat="server" Text="Administración:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="AdministracionCheckBox" runat="server" Checked='<%# Bind("Administracion") %>' Text="  Indica que el usuario es parte del rol 'Administración'" ToolTip="Indicar si el usuario pertenece al rol" />
                                                <asp:CustomValidator ID="CustomValidatorGenerico" runat="server" ErrorMessage="Error" Display="Dynamic" OnServerValidate="CustomValidatorGenerico_ServerValidate" ValidateEmptyText="True" ControlToValidate="AliasTextBox">*</asp:CustomValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblPresupuesto" runat="server" Text="Presupuesto:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="PresupuestoCheckBox" runat="server" Checked='<%# Bind("Presupuesto") %>' Text="  Indica que el usuario es parte del rol 'Presupuesto'" ToolTip="Indicar si el usuario pertenece al rol" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblFactura" runat="server" Text="Factura:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="FacturaCheckBox" runat="server" Checked='<%# Bind("Factura") %>' Text="  Indica que el usuario es parte del rol 'Factura'" ToolTip="Indicar si el usuario pertenece al rol" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblGasto" runat="server" Text="Gasto:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="GastoCheckBox" runat="server" Checked='<%# Bind("Gasto") %>' Text="  Indica que el usuario es parte del rol 'Gasto'" ToolTip="Indicar si el usuario pertenece al rol" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblContabilidad" runat="server" Text="Contabilidad:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="ContabilidadCheckBox" runat="server" Checked='<%# Bind("Contabilidad") %>' Text="  Indica que el usuario es parte del rol 'Contabilidad'" ToolTip="Indicar si el usuario pertenece al rol" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblActivo" runat="server" Text="Activo:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="ActivoCheckBox" runat="server" Checked='<%# Bind("Activo") %>' ToolTip="Indicar si el usuario se encuentra activo" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblBloqueado" runat="server" Text="Bloqueado:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="BloqueadoCheckBox" runat="server" Checked='<%# Bind("Bloqueado") %>' ToolTip="Indicar si el usuario se encuentra bloqueado" />
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                                            Text="Grabar modif." CssClass="button3"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:Panel ID="Panel2" runat="server" GroupingText="Nuevo registro" Width="900px" BackColor="FloralWhite">
                                <div class="pf_search">
                                    <table id="DatosGenericos" class="pf_field">
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblAlias" runat="server" Text="Alias usuario: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="AliasTextBox" runat="server" MaxLength="10" Width="100px"
                                                    ToolTip="Alias del usuario" Text='<%# Bind("Alias") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_AliasTextBox" runat="server" ControlToValidate="AliasTextBox"
                                                    Display="Dynamic" ErrorMessage="El alias del usuario es obligatorio">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_AliasTextBox" runat="server"
                                                    ControlToValidate="AliasTextBox" Display="Dynamic" ErrorMessage="- El alias debe estar compuesto de 3 a 10 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{3,10})$">*</asp:RegularExpressionValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px">
                                                <asp:Label ID="lblNombre" runat="server" Text="Nombre: "></asp:Label>
                                            </td>
                                            <td class="pf_input4" style="width: 732px">
                                                <asp:TextBox ID="NombreTextBox" runat="server" MaxLength="150" Width="580px"
                                                    ToolTip="Nombre del usuario" Text='<%# Bind("Nombre") %>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator_NombreTextBox" runat="server" Display="Dynamic"
                                                    ErrorMessage="El nombre del usuario es obligatorio"
                                                    ControlToValidate="NombreTextBox">*</asp:RequiredFieldValidator>
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidator_NombreTextBox"
                                                    runat="server" ControlToValidate="NombreTextBox" Display="Dynamic" ErrorMessage="El nombre del usuario debe tener entre 1 y 150 caracteres válidos"
                                                    ValidationExpression="^([\u0021-\u0025 \u0027-\u003b \u003d \u003f-\u007e \u00a1-\u00d6 \u00d8-\u00f6 \u00f8-\u017f \s]{1,150})$">*</asp:RegularExpressionValidator>
                                                <%--\u0021-\u0025 -> ! a %, incluye multitud de signos; excluimos \u0026 &
                                                \u0027-\u003b -> ' a ; excluimos \u003c < y \u003f >
                                                \u003d -> =      
                                                \u003f-\u007e -> ? a ~, incluye todas las letras no acentuadas, numeros y algunos signos
                                                \u00a1-\u00d6 -> ¡ a Ö, letras acentuadas y extranjeras
                                                \u00d8-\u00f6 -> Ø a ö, letras acentuadas y extranjeras
                                                \u00f8-\u017f -> ø a ſ, letras acentuadas y extranjeras
                                                 \s -> espacio --%></td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblAdministrador" runat="server" Text="Administración:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="AdministracionCheckBox" runat="server" Checked='<%# Bind("Administracion") %>' Text="  Indica que el usuario es parte del rol 'Administración'" ToolTip="Indicar si el usuario pertenece al rol" />
                                                <asp:CustomValidator ID="CustomValidatorGenerico" runat="server" ErrorMessage="Error" Display="Dynamic" OnServerValidate="CustomValidatorGenerico_ServerValidate" ValidateEmptyText="True" ControlToValidate="AliasTextBox">*</asp:CustomValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblPresupuesto" runat="server" Text="Presupuesto:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="PresupuestoCheckBox" runat="server" Checked='<%# Bind("Presupuesto") %>' Text="  Indica que el usuario es parte del rol 'Presupuesto'" ToolTip="Indicar si el usuario pertenece al rol" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblFactura" runat="server" Text="Factura:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="FacturaCheckBox" runat="server" Checked='<%# Bind("Factura") %>' Text="  Indica que el usuario es parte del rol 'Factura'" ToolTip="Indicar si el usuario pertenece al rol" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblGasto" runat="server" Text="Gasto:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="GastoCheckBox" runat="server" Checked='<%# Bind("Gasto") %>' Text="  Indica que el usuario es parte del rol 'Gasto'" ToolTip="Indicar si el usuario pertenece al rol" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblContabilidad" runat="server" Text="Contabilidad:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="ContabilidadCheckBox" runat="server" Checked='<%# Bind("Contabilidad") %>' Text="  Indica que el usuario es parte del rol 'Contabilidad'" ToolTip="Indicar si el usuario pertenece al rol" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblActivo" runat="server" Text="Activo:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="ActivoCheckBox" runat="server" Checked='<%# Bind("Activo") %>' ToolTip="Indicar si el usuario se encuentra activo" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pf_label" style="width: 120px;">
                                                <asp:Label ID="lblBloqueado" runat="server" Text="Bloqueado:" />
                                            </td>
                                            <td class="pf_labelinput2" style="width: 732px">
                                                <asp:CheckBox ID="BloqueadoCheckBox" runat="server" Checked='<%# Bind("Bloqueado") %>' ToolTip="Indicar si el usuario se encuentra bloqueado" />
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </asp:Panel>
                            <table id="FootTable" width="100%" runat="server" style="border-left-color: #ff8c00; border-bottom-color: #ff8c00; border-top-color: #ff8c00; border-right-color: #ff8c00; width: 100%; border-top-style: groove; border-right-style: none; border-left-style: none; border-bottom-style: none; margin-top: 20px;">
                                <tr>
                                    <td colspan="2" style="width: 84%; text-align: center">
                                        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                                            Text="Grabar nuevo" CssClass="button1"></asp:LinkButton>
                                        <asp:LinkButton ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                            Text="Cancelar" CssClass="button1"></asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            vacio
                        </ItemTemplate>
                    </asp:FormView>
                    <%--</ContentTemplate>
                </asp:UpdatePanel>--%>
                </td>
            </tr>
        </table>
        <!-- Object DataSource area-->
        <asp:ObjectDataSource ID="odsGeneral" runat="server"
            SelectMethod="GetUsuarios" TypeName="REFOR.DL.UsuarioRepository"
            OnDeleted="odsGeneral_Deleted" DeleteMethod="Eliminar">
            <DeleteParameters>
                <asp:Parameter Name="UsuarioID" Type="Int32" />
            </DeleteParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="txtFilter" Name="Nombre" PropertyName="Text" Type="String" />
                <asp:ControlParameter ControlID="ddlOrdenar" Name="OrdenarPor" PropertyName="SelectedValue" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsDetalle" runat="server" SelectMethod="ObtenerPorID"
            TypeName="REFOR.DL.UsuarioRepository" OnInserted="odsDetalle_Inserted"
            OnUpdated="odsDetalle_Updated" InsertMethod="Insertar" UpdateMethod="Actualizar">
            <InsertParameters>
                <asp:Parameter Name="Alias" Type="String" />
                <asp:Parameter Name="Nombre" Type="String" />
                <asp:Parameter Name="Administracion" Type="Boolean" />
                <asp:Parameter Name="Presupuesto" Type="Boolean" />
                <asp:Parameter Name="Factura" Type="Boolean" />
                <asp:Parameter Name="Gasto" Type="Boolean" />
                <asp:Parameter Name="Contabilidad" Type="Boolean" />
                <asp:Parameter Name="Activo" Type="Boolean" />
                <asp:Parameter Name="Bloqueado" Type="Boolean" />
            </InsertParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="UsuarioID" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="UsuarioID" Type="Int32" />
                <asp:Parameter Name="Alias" Type="String" />
                <asp:Parameter Name="Nombre" Type="String" />
                <asp:Parameter Name="FechaCambioContraseña" Type="DateTime" />
                <asp:Parameter Name="Administracion" Type="Boolean" />
                <asp:Parameter Name="Presupuesto" Type="Boolean" />
                <asp:Parameter Name="Factura" Type="Boolean" />
                <asp:Parameter Name="Gasto" Type="Boolean" />
                <asp:Parameter Name="Contabilidad" Type="Boolean" />
                <asp:Parameter Name="Activo" Type="Boolean" />
                <asp:Parameter Name="Bloqueado" Type="Boolean" />
            </UpdateParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
