﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="InformeGastos.aspx.cs" Inherits="REFOR.Web.Reportes.InformeGastos"
    Title="GESREF. Informe de gastos" Theme="ReforThemes" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91" Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<%@ OutputCache Duration="1" VaryByParam="none" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="server">
    <div class="pf_search">
        <!-- START HEADER: Header area -->
        <table id="HeaderTable" runat="server" class="pf_field" style="height: 10px" summary="Messages">
            <tr>
                <td class="pf_labelMessage" style="width: 1099px;">
                    <asp:ValidationSummary ID="ValidationSummaryMessage" runat="server" ToolTip="Mensajes de error"
                        BorderStyle="Solid" HeaderText="Errores:" />
                </td>
            </tr>
            <tr>
                <td class="pf_title">Listado de gastos
                </td>
            </tr>
        </table>
        <table id="SearchTable" class="pf_field" runat="server">
            <%--style="margin-top: 10px; margin-bottom: 10px"--%>
            <tr>
                <td class="pf_label" style="width: 200px">
                    <asp:Label ID="lblFechaDesde" runat="server" Text="Desde fecha de recepción: "></asp:Label>
                </td>

                <td class="pf_input2">
                    <asp:TextBox ID="FechaDesdeTextBox" runat="server" Width="70px" Text=""
                        ToolTip="Fecha de recepción desde la que se incluirán los gastos"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator_FechaDesdeTextBox" runat="server"
                        ControlToValidate="FechaDesdeTextBox" Display="Dynamic" ErrorMessage="La fecha de recepción desde la que se incluirán los gastos no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                    <asp:CompareValidator ID="CompareValidator_FechaCreacionTextBox" runat="server" ControlToValidate="FechaDesdeTextBox"
                        Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                        Operator="DataTypeCheck">*</asp:CompareValidator>
                    <%-- <cc1:MaskedEditExtender ID="MaskedEditExtendertxt_FechaCreacionTextBox" runat="server"
                                                    TargetControlID="FechaCreacionTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                    <asp:ImageButton ID="ImageButton_FechaDesdeTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                        Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                    <cc1:CalendarExtender ID="CalendarExtender_FechaDesdeTextBox" runat="server" TargetControlID="FechaDesdeTextBox"
                        PopupButtonID="ImageButton_FechaDesdeTextBox" Format="dd/MM/yyyy" />
                </td>
            </tr>
            <tr>
                <td class="pf_label2" style="width: 200px;">
                    <asp:Label ID="lblFechaHasta" runat="server" Text="Hasta fecha de recepción: "></asp:Label>
                </td>
                <td class="pf_input2">
                    <asp:TextBox ID="FechaHastaTextBox" runat="server" Width="70px" Text=""
                        ToolTip="Fecha de recepción hasta la que se incluirán los gasto"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator_FechaHastaTextBox" runat="server"
                        ControlToValidate="FechaHastaTextBox" Display="Dynamic" ErrorMessage="La fecha de recepción hasta la que se incluirán los gastos no puede dejarse en blanco">*</asp:RequiredFieldValidator>
                    <asp:CompareValidator ID="CompareValidator_FechaHastaTextBox" runat="server" ControlToValidate="FechaHastaTextBox"
                        Display="Dynamic" ErrorMessage="Debe introducir una fecha correcta" Type="Date"
                        Operator="DataTypeCheck">*</asp:CompareValidator>
                    <asp:CompareValidator ID="CompareValidator2_FechaHastaTextBox" runat="server" ControlToValidate="FechaHastaTextBox"
                        Display="Dynamic" ErrorMessage="La fecha hasta debe ser superior o iguala la fecha desde" Type="Date"
                        Operator="GreaterThanEqual" ControlToCompare="FechaDesdeTextBox">*</asp:CompareValidator>
                    <%--<cc1:MaskedEditExtender ID="MaskedEditExtender_FechaHastaTextBox" runat="server"
                                                    TargetControlID="FechaHastaTextBox" Mask="99/99/9999" MaskType="Date">
                                                </cc1:MaskedEditExtender>--%>
                    <asp:ImageButton ID="ImageButton_FechaHastaTextBox" runat="server" ImageUrl="~/img/Calendar.png" CausesValidation="False"
                        Height="20px" ImageAlign="Middle" Width="20px" TabIndex="-1" />
                    <cc1:CalendarExtender ID="CalendarExtender_FechaHastaTextBox" runat="server" TargetControlID="FechaHastaTextBox"
                        PopupButtonID="ImageButton_FechaHastaTextBox" Format="dd/MM/yyyy" />
                </td>
            </tr>
            <tr>
                <td class="pf_label" style="width: 120px;">
                    <asp:Label ID="lblObservaciones" runat="server" Text="Mostrar observaciones:" />
                </td>
                <td class="pf_labelinput2" style="width: 732px; vertical-align: middle;">
                    <asp:CheckBox ID="ObservacionesCheckBox" runat="server" Checked="false"/>
                </td>
            </tr>

            <tr>
                <td class="pf_label" style="text-align: center;" colspan="2">
                    <asp:Button ID="btnMostrar" runat="server" CssClass="button3" Text="Mostrar reporte"
                        OnClick="btnMostrar_Click" CausesValidation="true" />
                </td>

            </tr>

        </table>

        <rsweb:ReportViewer ID="ReportViewer1" runat="server" Font-Names="Verdana" Font-Size="8pt" WaitMessageFont-Names="Verdana"
            WaitMessageFont-Size="14pt" Width="95%" Height="95%" Visible="false">
        </rsweb:ReportViewer>
        <asp:ObjectDataSource ID="odsGastos" runat="server" SelectMethod="GetGastosParaReporte" TypeName="REFOR.DL.GastoRepository, REFOR.DL, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null" OldValuesParameterFormatString="original_{0}"></asp:ObjectDataSource>
    </div>
</asp:Content>
