﻿using Microsoft.Reporting.WebForms;
using REFOR.DL;
using System;

namespace REFOR.Web.Reportes
{
    public partial class InformeProductos : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!IsPostBack)
            {
                if (!((Usuario)Session["Usuario"]).Presupuesto)
                    Response.Redirect(@"~\no_autorizado.aspx");
                ReportViewer1.Visible = true;
                ReportViewer1.ProcessingMode = ProcessingMode.Local;
                ReportViewer1.LocalReport.ReportPath = Server.MapPath("~/Reportes/Productos.rdlc");
                ReportViewer1.LocalReport.DataSources.Clear();
                ReportDataSource datasource = new ReportDataSource("dsProductos", odsProductos);
                ReportViewer1.LocalReport.DataSources.Add(datasource);

                ReportViewer1.LocalReport.Refresh();
            }
        }

    }
}
